# This file was automatically created by FeynRules 2.3.29
# Mathematica version: 8.0 for Mac OS X x86 (64-bit) (October 5, 2011)
# Date: Sat 2 Dec 2017 21:58:46


from object_library import all_vertices, all_CTvertices, Vertex, CTVertex
import particles as P
import CT_couplings as C
import lorentz as L


V_1 = CTVertex(name = 'V_1',
               type = 'R2',
               particles = [ P.g, P.g, P.g ],
               color = [ 'f(1,2,3)' ],
               lorentz = [ L.VVV1, L.VVV2, L.VVV4, L.VVV6, L.VVV7, L.VVV8 ],
               loop_particles = [ [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ] ],
               couplings = {(0,0,0):C.R2GC_261_133,(0,0,1):C.R2GC_261_134,(0,1,0):C.R2GC_264_135,(0,1,1):C.R2GC_264_136,(0,2,0):C.R2GC_264_135,(0,2,1):C.R2GC_264_136,(0,3,0):C.R2GC_261_133,(0,3,1):C.R2GC_261_134,(0,4,0):C.R2GC_261_133,(0,4,1):C.R2GC_261_134,(0,5,0):C.R2GC_264_135,(0,5,1):C.R2GC_264_136})

V_2 = CTVertex(name = 'V_2',
               type = 'R2',
               particles = [ P.g, P.g, P.g, P.g ],
               color = [ 'd(-1,1,3)*d(-1,2,4)', 'd(-1,1,3)*f(-1,2,4)', 'd(-1,1,4)*d(-1,2,3)', 'd(-1,1,4)*f(-1,2,3)', 'd(-1,2,3)*f(-1,1,4)', 'd(-1,2,4)*f(-1,1,3)', 'f(-1,1,2)*f(-1,3,4)', 'f(-1,1,3)*f(-1,2,4)', 'f(-1,1,4)*f(-1,2,3)', 'Identity(1,2)*Identity(3,4)', 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
               lorentz = [ L.VVVV2, L.VVVV3, L.VVVV4 ],
               loop_particles = [ [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ] ],
               couplings = {(2,0,0):C.R2GC_164_33,(2,0,1):C.R2GC_164_34,(0,0,0):C.R2GC_164_33,(0,0,1):C.R2GC_164_34,(4,0,0):C.R2GC_162_29,(4,0,1):C.R2GC_162_30,(3,0,0):C.R2GC_162_29,(3,0,1):C.R2GC_162_30,(8,0,0):C.R2GC_163_31,(8,0,1):C.R2GC_163_32,(7,0,0):C.R2GC_169_40,(7,0,1):C.R2GC_270_141,(6,0,0):C.R2GC_168_38,(6,0,1):C.R2GC_271_142,(5,0,0):C.R2GC_162_29,(5,0,1):C.R2GC_162_30,(1,0,0):C.R2GC_162_29,(1,0,1):C.R2GC_162_30,(11,0,0):C.R2GC_166_36,(11,0,1):C.R2GC_166_37,(10,0,0):C.R2GC_166_36,(10,0,1):C.R2GC_166_37,(9,0,1):C.R2GC_165_35,(2,1,0):C.R2GC_164_33,(2,1,1):C.R2GC_164_34,(0,1,0):C.R2GC_164_33,(0,1,1):C.R2GC_164_34,(6,1,0):C.R2GC_268_138,(6,1,1):C.R2GC_268_139,(4,1,0):C.R2GC_162_29,(4,1,1):C.R2GC_162_30,(3,1,0):C.R2GC_162_29,(3,1,1):C.R2GC_162_30,(8,1,0):C.R2GC_163_31,(8,1,1):C.R2GC_272_143,(7,1,0):C.R2GC_169_40,(7,1,1):C.R2GC_169_41,(5,1,0):C.R2GC_162_29,(5,1,1):C.R2GC_162_30,(1,1,0):C.R2GC_162_29,(1,1,1):C.R2GC_162_30,(11,1,0):C.R2GC_166_36,(11,1,1):C.R2GC_166_37,(10,1,0):C.R2GC_166_36,(10,1,1):C.R2GC_166_37,(9,1,1):C.R2GC_165_35,(2,2,0):C.R2GC_164_33,(2,2,1):C.R2GC_164_34,(0,2,0):C.R2GC_164_33,(0,2,1):C.R2GC_164_34,(4,2,0):C.R2GC_162_29,(4,2,1):C.R2GC_162_30,(3,2,0):C.R2GC_162_29,(3,2,1):C.R2GC_162_30,(8,2,0):C.R2GC_163_31,(8,2,1):C.R2GC_269_140,(6,2,0):C.R2GC_168_38,(6,2,1):C.R2GC_168_39,(7,2,0):C.R2GC_267_137,(7,2,1):C.R2GC_164_34,(5,2,0):C.R2GC_162_29,(5,2,1):C.R2GC_162_30,(1,2,0):C.R2GC_162_29,(1,2,1):C.R2GC_162_30,(11,2,0):C.R2GC_166_36,(11,2,1):C.R2GC_166_37,(10,2,0):C.R2GC_166_36,(10,2,1):C.R2GC_166_37,(9,2,1):C.R2GC_165_35})

V_3 = CTVertex(name = 'V_3',
               type = 'R2',
               particles = [ P.t__tilde__, P.b, P.G__plus__ ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS3, L.FFS4 ],
               loop_particles = [ [ [P.b, P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_281_146,(0,1,0):C.R2GC_291_153})

V_4 = CTVertex(name = 'V_4',
               type = 'R2',
               particles = [ P.b__tilde__, P.b, P.G0 ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS1 ],
               loop_particles = [ [ [P.b, P.g] ] ],
               couplings = {(0,0,0):C.R2GC_254_128})

V_5 = CTVertex(name = 'V_5',
               type = 'R2',
               particles = [ P.b__tilde__, P.b, P.H ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS2 ],
               loop_particles = [ [ [P.b, P.g] ] ],
               couplings = {(0,0,0):C.R2GC_253_127})

V_6 = CTVertex(name = 'V_6',
               type = 'R2',
               particles = [ P.t__tilde__, P.t, P.G0 ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS1 ],
               loop_particles = [ [ [P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_293_155})

V_7 = CTVertex(name = 'V_7',
               type = 'R2',
               particles = [ P.t__tilde__, P.t, P.H ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS2 ],
               loop_particles = [ [ [P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_294_156})

V_8 = CTVertex(name = 'V_8',
               type = 'R2',
               particles = [ P.b__tilde__, P.t, P.G__minus__ ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS3, L.FFS4 ],
               loop_particles = [ [ [P.b, P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_292_154,(0,1,0):C.R2GC_280_145})

V_9 = CTVertex(name = 'V_9',
               type = 'R2',
               particles = [ P.a, P.R2p23__star__, P.R2p23 ],
               color = [ 'Identity(2,3)' ],
               lorentz = [ L.VSS1, L.VSS3 ],
               loop_particles = [ [ [P.g, P.R2p23] ] ],
               couplings = {(0,0,0):C.R2GC_180_47,(0,1,0):C.R2GC_179_46})

V_10 = CTVertex(name = 'V_10',
                type = 'R2',
                particles = [ P.a, P.a, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_181_48})

V_11 = CTVertex(name = 'V_11',
                type = 'R2',
                particles = [ P.a, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS1, L.VSS3 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_193_59,(0,1,0):C.R2GC_192_58})

V_12 = CTVertex(name = 'V_12',
                type = 'R2',
                particles = [ P.a, P.a, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_194_60})

V_13 = CTVertex(name = 'V_13',
                type = 'R2',
                particles = [ P.g, P.R2p23__star__, P.R2p23 ],
                color = [ 'T(1,3,2)' ],
                lorentz = [ L.VSS1, L.VSS3 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_183_50,(0,1,0):C.R2GC_182_49})

V_14 = CTVertex(name = 'V_14',
                type = 'R2',
                particles = [ P.a, P.g, P.R2p23__star__, P.R2p23 ],
                color = [ 'T(2,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_184_51})

V_15 = CTVertex(name = 'V_15',
                type = 'R2',
                particles = [ P.g, P.R2p53__star__, P.R2p53 ],
                color = [ 'T(1,3,2)' ],
                lorentz = [ L.VSS1, L.VSS3 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_183_50,(0,1,0):C.R2GC_182_49})

V_16 = CTVertex(name = 'V_16',
                type = 'R2',
                particles = [ P.a, P.g, P.R2p53__star__, P.R2p53 ],
                color = [ 'T(2,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_197_61})

V_17 = CTVertex(name = 'V_17',
                type = 'R2',
                particles = [ P.g, P.g, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g] ], [ [P.g, P.R2p23] ] ],
                couplings = {(2,0,0):C.R2GC_185_52,(2,0,1):C.R2GC_185_53,(1,0,0):C.R2GC_185_52,(1,0,1):C.R2GC_185_53,(0,0,0):C.R2GC_166_37,(0,0,1):C.R2GC_177_44})

V_18 = CTVertex(name = 'V_18',
                type = 'R2',
                particles = [ P.g, P.g, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g] ], [ [P.g, P.R2p53] ] ],
                couplings = {(2,0,0):C.R2GC_185_52,(2,0,1):C.R2GC_185_53,(1,0,0):C.R2GC_185_52,(1,0,1):C.R2GC_185_53,(0,0,0):C.R2GC_166_37,(0,0,1):C.R2GC_177_44})

V_19 = CTVertex(name = 'V_19',
                type = 'R2',
                particles = [ P.W__minus__, P.R2p23__star__, P.R2p53 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_227_83})

V_20 = CTVertex(name = 'V_20',
                type = 'R2',
                particles = [ P.a, P.W__minus__, P.R2p23__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_228_84})

V_21 = CTVertex(name = 'V_21',
                type = 'R2',
                particles = [ P.g, P.W__minus__, P.R2p23__star__, P.R2p53 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_229_85,(0,0,1):C.R2GC_229_86})

V_22 = CTVertex(name = 'V_22',
                type = 'R2',
                particles = [ P.W__plus__, P.R2p23, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_226_82})

V_23 = CTVertex(name = 'V_23',
                type = 'R2',
                particles = [ P.a, P.W__plus__, P.R2p23, P.R2p53__star__ ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_228_84})

V_24 = CTVertex(name = 'V_24',
                type = 'R2',
                particles = [ P.g, P.W__plus__, P.R2p23, P.R2p53__star__ ],
                color = [ 'T(1,3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_229_85,(0,0,1):C.R2GC_229_86})

V_25 = CTVertex(name = 'V_25',
                type = 'R2',
                particles = [ P.W__minus__, P.W__plus__, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_224_80,(0,0,1):C.R2GC_224_81})

V_26 = CTVertex(name = 'V_26',
                type = 'R2',
                particles = [ P.W__minus__, P.W__plus__, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,1):C.R2GC_224_80,(0,0,0):C.R2GC_224_81})

V_27 = CTVertex(name = 'V_27',
                type = 'R2',
                particles = [ P.e__plus__, P.d, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_220_76})

V_28 = CTVertex(name = 'V_28',
                type = 'R2',
                particles = [ P.d__tilde__, P.e__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_220_76})

V_29 = CTVertex(name = 'V_29',
                type = 'R2',
                particles = [ P.e__plus__, P.u, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_240_90,(0,1,0):C.R2GC_220_76})

V_30 = CTVertex(name = 'V_30',
                type = 'R2',
                particles = [ P.u__tilde__, P.e__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_220_76,(0,1,0):C.R2GC_240_90})

V_31 = CTVertex(name = 'V_31',
                type = 'R2',
                particles = [ P.e__plus__, P.s, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_213_69})

V_32 = CTVertex(name = 'V_32',
                type = 'R2',
                particles = [ P.s__tilde__, P.e__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_213_69})

V_33 = CTVertex(name = 'V_33',
                type = 'R2',
                particles = [ P.e__plus__, P.c, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_216_72,(0,1,0):C.R2GC_213_69})

V_34 = CTVertex(name = 'V_34',
                type = 'R2',
                particles = [ P.c__tilde__, P.e__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_213_69,(0,1,0):C.R2GC_216_72})

V_35 = CTVertex(name = 'V_35',
                type = 'R2',
                particles = [ P.e__plus__, P.b, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_255_129})

V_36 = CTVertex(name = 'V_36',
                type = 'R2',
                particles = [ P.b__tilde__, P.e__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_255_129})

V_37 = CTVertex(name = 'V_37',
                type = 'R2',
                particles = [ P.e__plus__, P.t, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_285_147,(0,1,0):C.R2GC_255_129})

V_38 = CTVertex(name = 'V_38',
                type = 'R2',
                particles = [ P.t__tilde__, P.e__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_255_129,(0,1,0):C.R2GC_285_147})

V_39 = CTVertex(name = 'V_39',
                type = 'R2',
                particles = [ P.mu__plus__, P.d, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_221_77})

V_40 = CTVertex(name = 'V_40',
                type = 'R2',
                particles = [ P.d__tilde__, P.mu__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_221_77})

V_41 = CTVertex(name = 'V_41',
                type = 'R2',
                particles = [ P.mu__plus__, P.u, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_241_91,(0,1,0):C.R2GC_221_77})

V_42 = CTVertex(name = 'V_42',
                type = 'R2',
                particles = [ P.u__tilde__, P.mu__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_221_77,(0,1,0):C.R2GC_241_91})

V_43 = CTVertex(name = 'V_43',
                type = 'R2',
                particles = [ P.mu__plus__, P.s, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_214_70})

V_44 = CTVertex(name = 'V_44',
                type = 'R2',
                particles = [ P.s__tilde__, P.mu__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_214_70})

V_45 = CTVertex(name = 'V_45',
                type = 'R2',
                particles = [ P.mu__plus__, P.c, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_217_73,(0,1,0):C.R2GC_214_70})

V_46 = CTVertex(name = 'V_46',
                type = 'R2',
                particles = [ P.c__tilde__, P.mu__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_214_70,(0,1,0):C.R2GC_217_73})

V_47 = CTVertex(name = 'V_47',
                type = 'R2',
                particles = [ P.mu__plus__, P.b, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_256_130})

V_48 = CTVertex(name = 'V_48',
                type = 'R2',
                particles = [ P.b__tilde__, P.mu__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_256_130})

V_49 = CTVertex(name = 'V_49',
                type = 'R2',
                particles = [ P.mu__plus__, P.t, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_287_149,(0,1,0):C.R2GC_256_130})

V_50 = CTVertex(name = 'V_50',
                type = 'R2',
                particles = [ P.t__tilde__, P.mu__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_256_130,(0,1,0):C.R2GC_287_149})

V_51 = CTVertex(name = 'V_51',
                type = 'R2',
                particles = [ P.ta__plus__, P.d, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_222_78})

V_52 = CTVertex(name = 'V_52',
                type = 'R2',
                particles = [ P.d__tilde__, P.ta__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_222_78})

V_53 = CTVertex(name = 'V_53',
                type = 'R2',
                particles = [ P.ta__plus__, P.u, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_242_92,(0,1,0):C.R2GC_222_78})

V_54 = CTVertex(name = 'V_54',
                type = 'R2',
                particles = [ P.u__tilde__, P.ta__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_222_78,(0,1,0):C.R2GC_242_92})

V_55 = CTVertex(name = 'V_55',
                type = 'R2',
                particles = [ P.ta__plus__, P.s, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_215_71})

V_56 = CTVertex(name = 'V_56',
                type = 'R2',
                particles = [ P.s__tilde__, P.ta__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_215_71})

V_57 = CTVertex(name = 'V_57',
                type = 'R2',
                particles = [ P.ta__plus__, P.c, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_218_74,(0,1,0):C.R2GC_215_71})

V_58 = CTVertex(name = 'V_58',
                type = 'R2',
                particles = [ P.c__tilde__, P.ta__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_215_71,(0,1,0):C.R2GC_218_74})

V_59 = CTVertex(name = 'V_59',
                type = 'R2',
                particles = [ P.ta__plus__, P.b, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_257_131})

V_60 = CTVertex(name = 'V_60',
                type = 'R2',
                particles = [ P.b__tilde__, P.ta__minus__, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_257_131})

V_61 = CTVertex(name = 'V_61',
                type = 'R2',
                particles = [ P.ta__plus__, P.t, P.R2p53__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_289_151,(0,1,0):C.R2GC_257_131})

V_62 = CTVertex(name = 'V_62',
                type = 'R2',
                particles = [ P.t__tilde__, P.ta__minus__, P.R2p53 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS3, L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p53, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_257_131,(0,1,0):C.R2GC_289_151})

V_63 = CTVertex(name = 'V_63',
                type = 'R2',
                particles = [ P.ve__tilde__, P.u, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_234_87})

V_64 = CTVertex(name = 'V_64',
                type = 'R2',
                particles = [ P.u__tilde__, P.ve, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_234_87})

V_65 = CTVertex(name = 'V_65',
                type = 'R2',
                particles = [ P.vm__tilde__, P.u, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_235_88})

V_66 = CTVertex(name = 'V_66',
                type = 'R2',
                particles = [ P.u__tilde__, P.vm, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_235_88})

V_67 = CTVertex(name = 'V_67',
                type = 'R2',
                particles = [ P.vt__tilde__, P.u, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_236_89})

V_68 = CTVertex(name = 'V_68',
                type = 'R2',
                particles = [ P.u__tilde__, P.vt, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_236_89})

V_69 = CTVertex(name = 'V_69',
                type = 'R2',
                particles = [ P.ve__tilde__, P.c, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_210_66})

V_70 = CTVertex(name = 'V_70',
                type = 'R2',
                particles = [ P.c__tilde__, P.ve, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_210_66})

V_71 = CTVertex(name = 'V_71',
                type = 'R2',
                particles = [ P.vm__tilde__, P.c, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_211_67})

V_72 = CTVertex(name = 'V_72',
                type = 'R2',
                particles = [ P.c__tilde__, P.vm, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_211_67})

V_73 = CTVertex(name = 'V_73',
                type = 'R2',
                particles = [ P.vt__tilde__, P.c, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_212_68})

V_74 = CTVertex(name = 'V_74',
                type = 'R2',
                particles = [ P.c__tilde__, P.vt, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.c, P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_212_68})

V_75 = CTVertex(name = 'V_75',
                type = 'R2',
                particles = [ P.ve__tilde__, P.t, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_286_148})

V_76 = CTVertex(name = 'V_76',
                type = 'R2',
                particles = [ P.t__tilde__, P.ve, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_286_148})

V_77 = CTVertex(name = 'V_77',
                type = 'R2',
                particles = [ P.vm__tilde__, P.t, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_288_150})

V_78 = CTVertex(name = 'V_78',
                type = 'R2',
                particles = [ P.t__tilde__, P.vm, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_288_150})

V_79 = CTVertex(name = 'V_79',
                type = 'R2',
                particles = [ P.vt__tilde__, P.t, P.R2p23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_290_152})

V_80 = CTVertex(name = 'V_80',
                type = 'R2',
                particles = [ P.t__tilde__, P.vt, P.R2p23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2p23, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_290_152})

V_81 = CTVertex(name = 'V_81',
                type = 'R2',
                particles = [ P.Z, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_186_54})

V_82 = CTVertex(name = 'V_82',
                type = 'R2',
                particles = [ P.a, P.Z, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_187_55})

V_83 = CTVertex(name = 'V_83',
                type = 'R2',
                particles = [ P.Z, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_199_62})

V_84 = CTVertex(name = 'V_84',
                type = 'R2',
                particles = [ P.a, P.Z, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_200_63})

V_85 = CTVertex(name = 'V_85',
                type = 'R2',
                particles = [ P.g, P.Z, P.R2p23__star__, P.R2p23 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_188_56})

V_86 = CTVertex(name = 'V_86',
                type = 'R2',
                particles = [ P.g, P.Z, P.R2p53__star__, P.R2p53 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_201_64})

V_87 = CTVertex(name = 'V_87',
                type = 'R2',
                particles = [ P.W__minus__, P.Z, P.R2p23__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_223_79})

V_88 = CTVertex(name = 'V_88',
                type = 'R2',
                particles = [ P.W__plus__, P.Z, P.R2p23, P.R2p53__star__ ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_223_79})

V_89 = CTVertex(name = 'V_89',
                type = 'R2',
                particles = [ P.Z, P.Z, P.R2p23__star__, P.R2p23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p23] ] ],
                couplings = {(0,0,0):C.R2GC_189_57})

V_90 = CTVertex(name = 'V_90',
                type = 'R2',
                particles = [ P.Z, P.Z, P.R2p53__star__, P.R2p53 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2p53] ] ],
                couplings = {(0,0,0):C.R2GC_202_65})

V_91 = CTVertex(name = 'V_91',
                type = 'R2',
                particles = [ P.c__tilde__, P.c, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_123_3})

V_92 = CTVertex(name = 'V_92',
                type = 'R2',
                particles = [ P.t__tilde__, P.t, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_123_3})

V_93 = CTVertex(name = 'V_93',
                type = 'R2',
                particles = [ P.u__tilde__, P.u, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_123_3})

V_94 = CTVertex(name = 'V_94',
                type = 'R2',
                particles = [ P.b__tilde__, P.b, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.b, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_170_42})

V_95 = CTVertex(name = 'V_95',
                type = 'R2',
                particles = [ P.d__tilde__, P.d, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.d, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_170_42})

V_96 = CTVertex(name = 'V_96',
                type = 'R2',
                particles = [ P.s__tilde__, P.s, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_170_42})

V_97 = CTVertex(name = 'V_97',
                type = 'R2',
                particles = [ P.c__tilde__, P.c, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_171_43})

V_98 = CTVertex(name = 'V_98',
                type = 'R2',
                particles = [ P.t__tilde__, P.t, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_171_43})

V_99 = CTVertex(name = 'V_99',
                type = 'R2',
                particles = [ P.u__tilde__, P.u, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_171_43})

V_100 = CTVertex(name = 'V_100',
                 type = 'R2',
                 particles = [ P.b__tilde__, P.b, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_171_43})

V_101 = CTVertex(name = 'V_101',
                 type = 'R2',
                 particles = [ P.d__tilde__, P.d, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_171_43})

V_102 = CTVertex(name = 'V_102',
                 type = 'R2',
                 particles = [ P.s__tilde__, P.s, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_171_43})

V_103 = CTVertex(name = 'V_103',
                 type = 'R2',
                 particles = [ P.s__tilde__, P.c, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_104 = CTVertex(name = 'V_104',
                 type = 'R2',
                 particles = [ P.b__tilde__, P.t, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_105 = CTVertex(name = 'V_105',
                 type = 'R2',
                 particles = [ P.d__tilde__, P.u, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_106 = CTVertex(name = 'V_106',
                 type = 'R2',
                 particles = [ P.t__tilde__, P.b, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_107 = CTVertex(name = 'V_107',
                 type = 'R2',
                 particles = [ P.u__tilde__, P.d, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_108 = CTVertex(name = 'V_108',
                 type = 'R2',
                 particles = [ P.c__tilde__, P.s, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_219_75})

V_109 = CTVertex(name = 'V_109',
                 type = 'R2',
                 particles = [ P.c__tilde__, P.c, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_142_25,(0,1,0):C.R2GC_124_4})

V_110 = CTVertex(name = 'V_110',
                 type = 'R2',
                 particles = [ P.t__tilde__, P.t, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_142_25,(0,1,0):C.R2GC_124_4})

V_111 = CTVertex(name = 'V_111',
                 type = 'R2',
                 particles = [ P.u__tilde__, P.u, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_142_25,(0,1,0):C.R2GC_124_4})

V_112 = CTVertex(name = 'V_112',
                 type = 'R2',
                 particles = [ P.b__tilde__, P.b, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_143_26,(0,1,0):C.R2GC_126_5})

V_113 = CTVertex(name = 'V_113',
                 type = 'R2',
                 particles = [ P.d__tilde__, P.d, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_143_26,(0,1,0):C.R2GC_126_5})

V_114 = CTVertex(name = 'V_114',
                 type = 'R2',
                 particles = [ P.s__tilde__, P.s, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_143_26,(0,1,0):C.R2GC_126_5})

V_115 = CTVertex(name = 'V_115',
                 type = 'R2',
                 particles = [ P.u__tilde__, P.u ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_122_2})

V_116 = CTVertex(name = 'V_116',
                 type = 'R2',
                 particles = [ P.c__tilde__, P.c ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_122_2})

V_117 = CTVertex(name = 'V_117',
                 type = 'R2',
                 particles = [ P.t__tilde__, P.t ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_276_144,(0,1,0):C.R2GC_122_2})

V_118 = CTVertex(name = 'V_118',
                 type = 'R2',
                 particles = [ P.d__tilde__, P.d ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_122_2})

V_119 = CTVertex(name = 'V_119',
                 type = 'R2',
                 particles = [ P.s__tilde__, P.s ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_122_2})

V_120 = CTVertex(name = 'V_120',
                 type = 'R2',
                 particles = [ P.b__tilde__, P.b ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_250_126,(0,1,0):C.R2GC_122_2})

V_121 = CTVertex(name = 'V_121',
                 type = 'R2',
                 particles = [ P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.R2GC_258_132,(0,1,0):C.R2GC_178_45})

V_122 = CTVertex(name = 'V_122',
                 type = 'R2',
                 particles = [ P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.R2GC_258_132,(0,1,0):C.R2GC_178_45})

V_123 = CTVertex(name = 'V_123',
                 type = 'R2',
                 particles = [ P.g, P.g ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VV2, L.VV3, L.VV4 ],
                 loop_particles = [ [ [P.b] ], [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ], [ [P.t] ] ],
                 couplings = {(0,2,2):C.R2GC_121_1,(0,0,0):C.R2GC_132_6,(0,0,3):C.R2GC_132_7,(0,1,1):C.R2GC_135_12})

V_124 = CTVertex(name = 'V_124',
                 type = 'R2',
                 particles = [ P.g, P.g, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_133_8,(0,0,1):C.R2GC_133_9})

V_125 = CTVertex(name = 'V_125',
                 type = 'R2',
                 particles = [ P.a, P.a, P.g, P.g ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_136_13,(0,0,1):C.R2GC_136_14})

V_126 = CTVertex(name = 'V_126',
                 type = 'R2',
                 particles = [ P.a, P.g, P.g, P.Z ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_138_17,(0,0,1):C.R2GC_138_18})

V_127 = CTVertex(name = 'V_127',
                 type = 'R2',
                 particles = [ P.g, P.g, P.Z, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_141_23,(0,0,1):C.R2GC_141_24})

V_128 = CTVertex(name = 'V_128',
                 type = 'R2',
                 particles = [ P.g, P.g, P.W__minus__, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b, P.t], [P.c, P.s], [P.d, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_146_28})

V_129 = CTVertex(name = 'V_129',
                 type = 'R2',
                 particles = [ P.a, P.g, P.g, P.g ],
                 color = [ 'd(2,3,4)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_137_15,(0,0,1):C.R2GC_137_16})

V_130 = CTVertex(name = 'V_130',
                 type = 'R2',
                 particles = [ P.g, P.g, P.g, P.Z ],
                 color = [ 'd(1,2,3)', 'f(1,2,3)' ],
                 lorentz = [ L.VVVV1, L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(1,0,0):C.R2GC_140_21,(1,0,1):C.R2GC_140_22,(0,1,0):C.R2GC_139_19,(0,1,1):C.R2GC_139_20})

V_131 = CTVertex(name = 'V_131',
                 type = 'R2',
                 particles = [ P.g, P.g, P.H, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_134_10,(0,0,1):C.R2GC_134_11})

V_132 = CTVertex(name = 'V_132',
                 type = 'R2',
                 particles = [ P.g, P.g, P.G0, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_134_10,(0,0,1):C.R2GC_134_11})

V_133 = CTVertex(name = 'V_133',
                 type = 'R2',
                 particles = [ P.g, P.g, P.G__minus__, P.G__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_145_27})

V_134 = CTVertex(name = 'V_134',
                 type = 'R2',
                 particles = [ P.R2p53__star__, P.R2p53__star__, P.R2p53, P.R2p53 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p53] ], [ [P.g] ], [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.R2GC_243_93,(1,0,0):C.R2GC_244_99,(1,0,3):C.R2GC_243_95,(1,0,5):C.R2GC_244_100,(1,0,1):C.R2GC_244_101,(1,0,4):C.R2GC_244_102,(0,0,2):C.R2GC_243_93,(0,0,0):C.R2GC_244_99,(0,0,3):C.R2GC_243_95,(0,0,5):C.R2GC_244_100,(0,0,1):C.R2GC_244_101,(0,0,4):C.R2GC_244_102})

V_135 = CTVertex(name = 'V_135',
                 type = 'R2',
                 particles = [ P.R2p23__star__, P.R2p23, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p23], [P.a, P.g, P.R2p53] ], [ [P.a, P.g, P.R2p23, P.R2p53] ], [ [P.g] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53, P.W__plus__] ], [ [P.g, P.R2p23, P.R2p53, P.Z] ], [ [P.g, P.R2p23, P.W__plus__], [P.g, P.R2p53, P.W__plus__] ], [ [P.g, P.R2p23, P.Z], [P.g, P.R2p53, P.Z] ], [ [P.g, P.W__plus__] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,3):C.R2GC_246_114,(1,0,0):C.R2GC_246_115,(1,0,4):C.R2GC_246_116,(1,0,10):C.R2GC_246_117,(1,0,11):C.R2GC_246_118,(1,0,1):C.R2GC_246_119,(1,0,5):C.R2GC_246_120,(1,0,8):C.R2GC_246_121,(1,0,9):C.R2GC_246_122,(1,0,2):C.R2GC_246_123,(1,0,6):C.R2GC_246_124,(1,0,7):C.R2GC_246_125,(0,0,3):C.R2GC_245_103,(0,0,0):C.R2GC_245_104,(0,0,4):C.R2GC_245_105,(0,0,10):C.R2GC_245_106,(0,0,11):C.R2GC_245_107,(0,0,1):C.R2GC_245_108,(0,0,5):C.R2GC_245_109,(0,0,8):C.R2GC_245_110,(0,0,9):C.R2GC_245_111,(0,0,2):C.R2GC_244_101,(0,0,6):C.R2GC_245_112,(0,0,7):C.R2GC_245_113})

V_136 = CTVertex(name = 'V_136',
                 type = 'R2',
                 particles = [ P.R2p23__star__, P.R2p23__star__, P.R2p23, P.R2p23 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p23] ], [ [P.g] ], [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.R2GC_243_93,(1,0,0):C.R2GC_243_94,(1,0,3):C.R2GC_243_95,(1,0,5):C.R2GC_243_96,(1,0,1):C.R2GC_243_97,(1,0,4):C.R2GC_243_98,(0,0,2):C.R2GC_243_93,(0,0,0):C.R2GC_243_94,(0,0,3):C.R2GC_243_95,(0,0,5):C.R2GC_243_96,(0,0,1):C.R2GC_243_97,(0,0,4):C.R2GC_243_98})

V_137 = CTVertex(name = 'V_137',
                 type = 'UV',
                 particles = [ P.g, P.g, P.g ],
                 color = [ 'f(1,2,3)' ],
                 lorentz = [ L.VVV1, L.VVV2, L.VVV3, L.VVV4, L.VVV5, L.VVV6, L.VVV7, L.VVV8 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_261_226,(0,0,1):C.UVGC_261_227,(0,0,2):C.UVGC_261_228,(0,0,3):C.UVGC_167_19,(0,0,4):C.UVGC_261_229,(0,0,5):C.UVGC_261_230,(0,1,0):C.UVGC_264_236,(0,1,1):C.UVGC_264_237,(0,1,2):C.UVGC_265_241,(0,1,3):C.UVGC_265_242,(0,1,4):C.UVGC_265_243,(0,1,5):C.UVGC_264_240,(0,3,0):C.UVGC_264_236,(0,3,1):C.UVGC_264_237,(0,3,2):C.UVGC_264_238,(0,3,3):C.UVGC_161_9,(0,3,4):C.UVGC_264_239,(0,3,5):C.UVGC_264_240,(0,5,0):C.UVGC_261_226,(0,5,1):C.UVGC_261_227,(0,5,2):C.UVGC_263_233,(0,5,3):C.UVGC_263_234,(0,5,4):C.UVGC_263_235,(0,5,5):C.UVGC_261_230,(0,6,0):C.UVGC_261_226,(0,6,1):C.UVGC_261_227,(0,6,2):C.UVGC_262_231,(0,6,3):C.UVGC_262_232,(0,6,4):C.UVGC_261_229,(0,6,5):C.UVGC_261_230,(0,7,0):C.UVGC_264_236,(0,7,1):C.UVGC_264_237,(0,7,2):C.UVGC_266_244,(0,7,3):C.UVGC_266_245,(0,7,4):C.UVGC_265_243,(0,7,5):C.UVGC_264_240,(0,2,2):C.UVGC_161_8,(0,2,3):C.UVGC_161_9,(0,4,2):C.UVGC_167_18,(0,4,3):C.UVGC_167_19,(0,4,4):C.UVGC_167_20})

V_138 = CTVertex(name = 'V_138',
                 type = 'UV',
                 particles = [ P.g, P.g, P.g, P.g ],
                 color = [ 'd(-1,1,3)*d(-1,2,4)', 'd(-1,1,3)*f(-1,2,4)', 'd(-1,1,4)*d(-1,2,3)', 'd(-1,1,4)*f(-1,2,3)', 'd(-1,2,3)*f(-1,1,4)', 'd(-1,2,4)*f(-1,1,3)', 'f(-1,1,2)*f(-1,3,4)', 'f(-1,1,3)*f(-1,2,4)', 'f(-1,1,4)*f(-1,2,3)', 'Identity(1,2)*Identity(3,4)', 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.VVVV2, L.VVVV3, L.VVVV4 ],
                 loop_particles = [ [ [P.b] ], [ [P.b], [P.c], [P.d], [P.R2p23], [P.R2p53], [P.s], [P.t], [P.u] ], [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(2,0,4):C.UVGC_163_13,(2,0,5):C.UVGC_163_12,(0,0,4):C.UVGC_163_13,(0,0,5):C.UVGC_163_12,(4,0,4):C.UVGC_162_10,(4,0,5):C.UVGC_162_11,(3,0,4):C.UVGC_162_10,(3,0,5):C.UVGC_162_11,(8,0,4):C.UVGC_163_12,(8,0,5):C.UVGC_163_13,(7,0,0):C.UVGC_270_260,(7,0,3):C.UVGC_185_57,(7,0,4):C.UVGC_270_261,(7,0,5):C.UVGC_270_262,(7,0,6):C.UVGC_270_263,(7,0,7):C.UVGC_270_264,(6,0,0):C.UVGC_270_260,(6,0,3):C.UVGC_185_57,(6,0,4):C.UVGC_271_265,(6,0,5):C.UVGC_271_266,(6,0,6):C.UVGC_270_263,(6,0,7):C.UVGC_270_264,(5,0,4):C.UVGC_162_10,(5,0,5):C.UVGC_162_11,(1,0,4):C.UVGC_162_10,(1,0,5):C.UVGC_162_11,(11,0,4):C.UVGC_166_16,(11,0,5):C.UVGC_166_17,(10,0,4):C.UVGC_166_16,(10,0,5):C.UVGC_166_17,(9,0,4):C.UVGC_165_14,(9,0,5):C.UVGC_165_15,(2,1,4):C.UVGC_163_13,(2,1,5):C.UVGC_163_12,(0,1,4):C.UVGC_163_13,(0,1,5):C.UVGC_163_12,(6,1,0):C.UVGC_267_246,(6,1,4):C.UVGC_268_251,(6,1,5):C.UVGC_268_252,(6,1,6):C.UVGC_268_253,(6,1,7):C.UVGC_267_250,(4,1,4):C.UVGC_162_10,(4,1,5):C.UVGC_162_11,(3,1,4):C.UVGC_162_10,(3,1,5):C.UVGC_162_11,(8,1,0):C.UVGC_272_267,(8,1,3):C.UVGC_272_268,(8,1,4):C.UVGC_272_269,(8,1,5):C.UVGC_272_270,(8,1,6):C.UVGC_272_271,(8,1,7):C.UVGC_272_272,(7,1,1):C.UVGC_168_21,(7,1,4):C.UVGC_169_24,(7,1,5):C.UVGC_169_25,(5,1,4):C.UVGC_162_10,(5,1,5):C.UVGC_162_11,(1,1,4):C.UVGC_162_10,(1,1,5):C.UVGC_162_11,(11,1,4):C.UVGC_166_16,(11,1,5):C.UVGC_166_17,(10,1,4):C.UVGC_166_16,(10,1,5):C.UVGC_166_17,(9,1,4):C.UVGC_165_14,(9,1,5):C.UVGC_165_15,(2,2,4):C.UVGC_163_13,(2,2,5):C.UVGC_163_12,(0,2,4):C.UVGC_163_13,(0,2,5):C.UVGC_163_12,(4,2,4):C.UVGC_162_10,(4,2,5):C.UVGC_162_11,(3,2,4):C.UVGC_162_10,(3,2,5):C.UVGC_162_11,(8,2,0):C.UVGC_269_254,(8,2,3):C.UVGC_269_255,(8,2,4):C.UVGC_269_256,(8,2,5):C.UVGC_269_257,(8,2,6):C.UVGC_269_258,(8,2,7):C.UVGC_269_259,(6,2,2):C.UVGC_168_21,(6,2,4):C.UVGC_168_22,(6,2,5):C.UVGC_165_14,(6,2,6):C.UVGC_168_23,(7,2,0):C.UVGC_267_246,(7,2,4):C.UVGC_267_247,(7,2,5):C.UVGC_267_248,(7,2,6):C.UVGC_267_249,(7,2,7):C.UVGC_267_250,(5,2,4):C.UVGC_162_10,(5,2,5):C.UVGC_162_11,(1,2,4):C.UVGC_162_10,(1,2,5):C.UVGC_162_11,(11,2,4):C.UVGC_166_16,(11,2,5):C.UVGC_166_17,(10,2,4):C.UVGC_166_16,(10,2,5):C.UVGC_166_17,(9,2,4):C.UVGC_165_14,(9,2,5):C.UVGC_165_15})

V_139 = CTVertex(name = 'V_139',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.b, P.G__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_281_284,(0,0,2):C.UVGC_281_285,(0,0,1):C.UVGC_281_286,(0,1,0):C.UVGC_291_308,(0,1,2):C.UVGC_291_309,(0,1,1):C.UVGC_291_310})

V_140 = CTVertex(name = 'V_140',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS1 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_254_210})

V_141 = CTVertex(name = 'V_141',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS2 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_253_209})

V_142 = CTVertex(name = 'V_142',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS1 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_293_314})

V_143 = CTVertex(name = 'V_143',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS2 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_294_315})

V_144 = CTVertex(name = 'V_144',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.t, P.G__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_292_311,(0,0,2):C.UVGC_292_312,(0,0,1):C.UVGC_292_313,(0,1,0):C.UVGC_280_281,(0,1,2):C.UVGC_280_282,(0,1,1):C.UVGC_280_283})

V_145 = CTVertex(name = 'V_145',
                 type = 'UV',
                 particles = [ P.a, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_180_39,(0,1,0):C.UVGC_179_38})

V_146 = CTVertex(name = 'V_146',
                 type = 'UV',
                 particles = [ P.a, P.a, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_181_40})

V_147 = CTVertex(name = 'V_147',
                 type = 'UV',
                 particles = [ P.a, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_193_74,(0,1,0):C.UVGC_192_73})

V_148 = CTVertex(name = 'V_148',
                 type = 'UV',
                 particles = [ P.a, P.a, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_194_75})

V_149 = CTVertex(name = 'V_149',
                 type = 'UV',
                 particles = [ P.g, P.R2p23__star__, P.R2p23 ],
                 color = [ 'T(1,3,2)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_183_42,(0,0,1):C.UVGC_183_43,(0,0,2):C.UVGC_183_44,(0,0,3):C.UVGC_183_45,(0,0,5):C.UVGC_183_46,(0,0,6):C.UVGC_183_47,(0,0,4):C.UVGC_183_48,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,2):C.UVGC_172_30,(0,1,3):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,4):C.UVGC_182_41})

V_150 = CTVertex(name = 'V_150',
                 type = 'UV',
                 particles = [ P.a, P.g, P.R2p23__star__, P.R2p23 ],
                 color = [ 'T(2,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_184_49,(0,0,1):C.UVGC_184_50,(0,0,2):C.UVGC_184_51,(0,0,3):C.UVGC_184_52,(0,0,5):C.UVGC_184_53,(0,0,6):C.UVGC_184_54,(0,0,4):C.UVGC_184_55})

V_151 = CTVertex(name = 'V_151',
                 type = 'UV',
                 particles = [ P.g, P.R2p53__star__, P.R2p53 ],
                 color = [ 'T(1,3,2)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_183_42,(0,0,1):C.UVGC_183_43,(0,0,2):C.UVGC_183_44,(0,0,3):C.UVGC_183_45,(0,0,5):C.UVGC_183_46,(0,0,6):C.UVGC_183_47,(0,0,4):C.UVGC_183_48,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,2):C.UVGC_172_30,(0,1,3):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,4):C.UVGC_182_41})

V_152 = CTVertex(name = 'V_152',
                 type = 'UV',
                 particles = [ P.a, P.g, P.R2p53__star__, P.R2p53 ],
                 color = [ 'T(2,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_197_76,(0,0,1):C.UVGC_197_77,(0,0,2):C.UVGC_197_78,(0,0,3):C.UVGC_197_79,(0,0,5):C.UVGC_197_80,(0,0,6):C.UVGC_197_81,(0,0,4):C.UVGC_197_82})

V_153 = CTVertex(name = 'V_153',
                 type = 'UV',
                 particles = [ P.g, P.g, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(2,0,0):C.UVGC_185_56,(2,0,1):C.UVGC_185_57,(2,0,2):C.UVGC_185_58,(2,0,3):C.UVGC_185_59,(2,0,5):C.UVGC_185_60,(2,0,6):C.UVGC_185_61,(2,0,4):C.UVGC_185_62,(1,0,0):C.UVGC_185_56,(1,0,1):C.UVGC_185_57,(1,0,2):C.UVGC_185_58,(1,0,3):C.UVGC_185_59,(1,0,5):C.UVGC_185_60,(1,0,6):C.UVGC_185_61,(1,0,4):C.UVGC_185_62,(0,0,2):C.UVGC_177_35,(0,0,4):C.UVGC_177_36})

V_154 = CTVertex(name = 'V_154',
                 type = 'UV',
                 particles = [ P.g, P.g, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(2,0,0):C.UVGC_185_56,(2,0,1):C.UVGC_185_57,(2,0,2):C.UVGC_185_58,(2,0,3):C.UVGC_185_59,(2,0,5):C.UVGC_185_60,(2,0,6):C.UVGC_185_61,(2,0,4):C.UVGC_185_62,(1,0,0):C.UVGC_185_56,(1,0,1):C.UVGC_185_57,(1,0,2):C.UVGC_185_58,(1,0,3):C.UVGC_185_59,(1,0,5):C.UVGC_185_60,(1,0,6):C.UVGC_185_61,(1,0,4):C.UVGC_185_62,(0,0,2):C.UVGC_177_35,(0,0,4):C.UVGC_177_36})

V_155 = CTVertex(name = 'V_155',
                 type = 'UV',
                 particles = [ P.W__minus__, P.R2p23__star__, P.R2p53 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS2, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,1,1):C.UVGC_227_138,(0,1,2):C.UVGC_227_139,(0,0,0):C.UVGC_152_4,(0,2,3):C.UVGC_153_5})

V_156 = CTVertex(name = 'V_156',
                 type = 'UV',
                 particles = [ P.a, P.W__minus__, P.R2p23__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_228_140,(0,0,2):C.UVGC_228_141,(0,0,1):C.UVGC_228_142})

V_157 = CTVertex(name = 'V_157',
                 type = 'UV',
                 particles = [ P.g, P.W__minus__, P.R2p23__star__, P.R2p53 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_229_143,(0,0,1):C.UVGC_229_144,(0,0,2):C.UVGC_229_145,(0,0,3):C.UVGC_229_146,(0,0,6):C.UVGC_229_147,(0,0,7):C.UVGC_229_148,(0,0,4):C.UVGC_229_149,(0,0,5):C.UVGC_229_150})

V_158 = CTVertex(name = 'V_158',
                 type = 'UV',
                 particles = [ P.W__plus__, P.R2p23, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS2, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,1,1):C.UVGC_226_137,(0,1,2):C.UVGC_219_121,(0,0,0):C.UVGC_153_5,(0,2,3):C.UVGC_152_4})

V_159 = CTVertex(name = 'V_159',
                 type = 'UV',
                 particles = [ P.a, P.W__plus__, P.R2p23, P.R2p53__star__ ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_228_140,(0,0,2):C.UVGC_228_141,(0,0,1):C.UVGC_228_142})

V_160 = CTVertex(name = 'V_160',
                 type = 'UV',
                 particles = [ P.g, P.W__plus__, P.R2p23, P.R2p53__star__ ],
                 color = [ 'T(1,3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_229_143,(0,0,1):C.UVGC_229_144,(0,0,2):C.UVGC_229_145,(0,0,3):C.UVGC_229_146,(0,0,6):C.UVGC_229_147,(0,0,7):C.UVGC_229_148,(0,0,4):C.UVGC_229_149,(0,0,5):C.UVGC_229_150})

V_161 = CTVertex(name = 'V_161',
                 type = 'UV',
                 particles = [ P.W__minus__, P.W__plus__, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_224_134,(0,0,2):C.UVGC_224_135,(0,0,1):C.UVGC_224_136})

V_162 = CTVertex(name = 'V_162',
                 type = 'UV',
                 particles = [ P.W__minus__, P.W__plus__, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_224_135,(0,0,2):C.UVGC_224_134,(0,0,1):C.UVGC_224_136})

V_163 = CTVertex(name = 'V_163',
                 type = 'UV',
                 particles = [ P.e__plus__, P.d, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_220_122,(0,0,2):C.UVGC_220_123,(0,0,1):C.UVGC_220_124})

V_164 = CTVertex(name = 'V_164',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.e__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_220_122,(0,0,2):C.UVGC_220_123,(0,0,1):C.UVGC_220_124})

V_165 = CTVertex(name = 'V_165',
                 type = 'UV',
                 particles = [ P.e__plus__, P.u, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_240_160,(0,0,2):C.UVGC_240_161,(0,0,1):C.UVGC_240_162,(0,1,0):C.UVGC_220_123,(0,1,2):C.UVGC_220_122,(0,1,1):C.UVGC_220_124})

V_166 = CTVertex(name = 'V_166',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.e__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_220_123,(0,0,2):C.UVGC_220_122,(0,0,1):C.UVGC_220_124,(0,1,0):C.UVGC_240_160,(0,1,2):C.UVGC_240_161,(0,1,1):C.UVGC_240_162})

V_167 = CTVertex(name = 'V_167',
                 type = 'UV',
                 particles = [ P.e__plus__, P.s, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_213_103,(0,0,2):C.UVGC_213_102,(0,0,1):C.UVGC_213_104})

V_168 = CTVertex(name = 'V_168',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.e__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_213_103,(0,0,2):C.UVGC_213_102,(0,0,1):C.UVGC_213_104})

V_169 = CTVertex(name = 'V_169',
                 type = 'UV',
                 particles = [ P.e__plus__, P.c, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_216_111,(0,0,2):C.UVGC_216_112,(0,0,1):C.UVGC_216_113,(0,1,0):C.UVGC_213_102,(0,1,2):C.UVGC_213_103,(0,1,1):C.UVGC_213_104})

V_170 = CTVertex(name = 'V_170',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.e__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_213_102,(0,0,2):C.UVGC_213_103,(0,0,1):C.UVGC_213_104,(0,1,0):C.UVGC_216_111,(0,1,2):C.UVGC_216_112,(0,1,1):C.UVGC_216_113})

V_171 = CTVertex(name = 'V_171',
                 type = 'UV',
                 particles = [ P.e__plus__, P.b, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_255_211,(0,0,2):C.UVGC_255_212,(0,0,1):C.UVGC_255_213})

V_172 = CTVertex(name = 'V_172',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.e__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_255_211,(0,0,2):C.UVGC_255_212,(0,0,1):C.UVGC_255_213})

V_173 = CTVertex(name = 'V_173',
                 type = 'UV',
                 particles = [ P.e__plus__, P.t, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_285_290,(0,0,2):C.UVGC_285_291,(0,0,1):C.UVGC_285_292,(0,1,0):C.UVGC_255_212,(0,1,2):C.UVGC_282_287,(0,1,1):C.UVGC_255_213})

V_174 = CTVertex(name = 'V_174',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.e__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_255_212,(0,0,2):C.UVGC_282_287,(0,0,1):C.UVGC_255_213,(0,1,0):C.UVGC_285_290,(0,1,2):C.UVGC_285_291,(0,1,1):C.UVGC_285_292})

V_175 = CTVertex(name = 'V_175',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.d, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_221_125,(0,0,2):C.UVGC_221_126,(0,0,1):C.UVGC_221_127})

V_176 = CTVertex(name = 'V_176',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.mu__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_221_125,(0,0,2):C.UVGC_221_126,(0,0,1):C.UVGC_221_127})

V_177 = CTVertex(name = 'V_177',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.u, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_241_163,(0,0,2):C.UVGC_241_164,(0,0,1):C.UVGC_241_165,(0,1,0):C.UVGC_221_126,(0,1,2):C.UVGC_221_125,(0,1,1):C.UVGC_221_127})

V_178 = CTVertex(name = 'V_178',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.mu__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_221_126,(0,0,2):C.UVGC_221_125,(0,0,1):C.UVGC_221_127,(0,1,0):C.UVGC_241_163,(0,1,2):C.UVGC_241_164,(0,1,1):C.UVGC_241_165})

V_179 = CTVertex(name = 'V_179',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.s, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_214_106,(0,0,2):C.UVGC_214_105,(0,0,1):C.UVGC_214_107})

V_180 = CTVertex(name = 'V_180',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.mu__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_214_106,(0,0,2):C.UVGC_214_105,(0,0,1):C.UVGC_214_107})

V_181 = CTVertex(name = 'V_181',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.c, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_217_114,(0,0,2):C.UVGC_217_115,(0,0,1):C.UVGC_217_116,(0,1,0):C.UVGC_214_105,(0,1,2):C.UVGC_214_106,(0,1,1):C.UVGC_214_107})

V_182 = CTVertex(name = 'V_182',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.mu__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_214_105,(0,0,2):C.UVGC_214_106,(0,0,1):C.UVGC_214_107,(0,1,0):C.UVGC_217_114,(0,1,2):C.UVGC_217_115,(0,1,1):C.UVGC_217_116})

V_183 = CTVertex(name = 'V_183',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.b, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_256_214,(0,0,2):C.UVGC_256_215,(0,0,1):C.UVGC_256_216})

V_184 = CTVertex(name = 'V_184',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.mu__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_256_214,(0,0,2):C.UVGC_256_215,(0,0,1):C.UVGC_256_216})

V_185 = CTVertex(name = 'V_185',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.t, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_287_296,(0,0,2):C.UVGC_287_297,(0,0,1):C.UVGC_287_298,(0,1,0):C.UVGC_256_215,(0,1,2):C.UVGC_283_288,(0,1,1):C.UVGC_256_216})

V_186 = CTVertex(name = 'V_186',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.mu__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_256_215,(0,0,2):C.UVGC_283_288,(0,0,1):C.UVGC_256_216,(0,1,0):C.UVGC_287_296,(0,1,2):C.UVGC_287_297,(0,1,1):C.UVGC_287_298})

V_187 = CTVertex(name = 'V_187',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.d, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_222_128,(0,0,2):C.UVGC_222_129,(0,0,1):C.UVGC_222_130})

V_188 = CTVertex(name = 'V_188',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.ta__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_222_128,(0,0,2):C.UVGC_222_129,(0,0,1):C.UVGC_222_130})

V_189 = CTVertex(name = 'V_189',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.u, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_242_166,(0,0,2):C.UVGC_242_167,(0,0,1):C.UVGC_242_168,(0,1,0):C.UVGC_222_129,(0,1,2):C.UVGC_222_128,(0,1,1):C.UVGC_222_130})

V_190 = CTVertex(name = 'V_190',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.ta__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_222_129,(0,0,2):C.UVGC_222_128,(0,0,1):C.UVGC_222_130,(0,1,0):C.UVGC_242_166,(0,1,2):C.UVGC_242_167,(0,1,1):C.UVGC_242_168})

V_191 = CTVertex(name = 'V_191',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.s, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_215_109,(0,0,2):C.UVGC_215_108,(0,0,1):C.UVGC_215_110})

V_192 = CTVertex(name = 'V_192',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.ta__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_215_109,(0,0,2):C.UVGC_215_108,(0,0,1):C.UVGC_215_110})

V_193 = CTVertex(name = 'V_193',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.c, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_218_117,(0,0,2):C.UVGC_218_118,(0,0,1):C.UVGC_218_119,(0,1,0):C.UVGC_215_108,(0,1,2):C.UVGC_215_109,(0,1,1):C.UVGC_215_110})

V_194 = CTVertex(name = 'V_194',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.ta__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_215_108,(0,0,2):C.UVGC_215_109,(0,0,1):C.UVGC_215_110,(0,1,0):C.UVGC_218_117,(0,1,2):C.UVGC_218_118,(0,1,1):C.UVGC_218_119})

V_195 = CTVertex(name = 'V_195',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.b, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_257_217,(0,0,2):C.UVGC_257_218,(0,0,1):C.UVGC_257_219})

V_196 = CTVertex(name = 'V_196',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.ta__minus__, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_257_217,(0,0,2):C.UVGC_257_218,(0,0,1):C.UVGC_257_219})

V_197 = CTVertex(name = 'V_197',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.t, P.R2p53__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_289_302,(0,0,2):C.UVGC_289_303,(0,0,1):C.UVGC_289_304,(0,1,0):C.UVGC_257_218,(0,1,2):C.UVGC_284_289,(0,1,1):C.UVGC_257_219})

V_198 = CTVertex(name = 'V_198',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.ta__minus__, P.R2p53 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_257_218,(0,0,2):C.UVGC_284_289,(0,0,1):C.UVGC_257_219,(0,1,0):C.UVGC_289_302,(0,1,2):C.UVGC_289_303,(0,1,1):C.UVGC_289_304})

V_199 = CTVertex(name = 'V_199',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.u, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_234_151,(0,0,2):C.UVGC_234_152,(0,0,1):C.UVGC_234_153})

V_200 = CTVertex(name = 'V_200',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.ve, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_234_151,(0,0,2):C.UVGC_234_152,(0,0,1):C.UVGC_234_153})

V_201 = CTVertex(name = 'V_201',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.u, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_235_154,(0,0,2):C.UVGC_235_155,(0,0,1):C.UVGC_235_156})

V_202 = CTVertex(name = 'V_202',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.vm, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_235_154,(0,0,2):C.UVGC_235_155,(0,0,1):C.UVGC_235_156})

V_203 = CTVertex(name = 'V_203',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.u, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_236_157,(0,0,2):C.UVGC_236_158,(0,0,1):C.UVGC_236_159})

V_204 = CTVertex(name = 'V_204',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.vt, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.u] ], [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_236_157,(0,0,2):C.UVGC_236_158,(0,0,1):C.UVGC_236_159})

V_205 = CTVertex(name = 'V_205',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.c, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_210_93,(0,0,2):C.UVGC_210_94,(0,0,1):C.UVGC_210_95})

V_206 = CTVertex(name = 'V_206',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.ve, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_210_93,(0,0,2):C.UVGC_210_94,(0,0,1):C.UVGC_210_95})

V_207 = CTVertex(name = 'V_207',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.c, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_211_96,(0,0,2):C.UVGC_211_97,(0,0,1):C.UVGC_211_98})

V_208 = CTVertex(name = 'V_208',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.vm, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_211_96,(0,0,2):C.UVGC_211_97,(0,0,1):C.UVGC_211_98})

V_209 = CTVertex(name = 'V_209',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.c, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_212_99,(0,0,2):C.UVGC_212_100,(0,0,1):C.UVGC_212_101})

V_210 = CTVertex(name = 'V_210',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.vt, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.c, P.g] ], [ [P.c, P.g, P.R2p23] ], [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_212_99,(0,0,2):C.UVGC_212_100,(0,0,1):C.UVGC_212_101})

V_211 = CTVertex(name = 'V_211',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.t, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_286_293,(0,0,2):C.UVGC_286_294,(0,0,1):C.UVGC_286_295})

V_212 = CTVertex(name = 'V_212',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.ve, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_286_293,(0,0,2):C.UVGC_286_294,(0,0,1):C.UVGC_286_295})

V_213 = CTVertex(name = 'V_213',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.t, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_288_299,(0,0,2):C.UVGC_288_300,(0,0,1):C.UVGC_288_301})

V_214 = CTVertex(name = 'V_214',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.vm, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_288_299,(0,0,2):C.UVGC_288_300,(0,0,1):C.UVGC_288_301})

V_215 = CTVertex(name = 'V_215',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.t, P.R2p23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_290_305,(0,0,2):C.UVGC_290_306,(0,0,1):C.UVGC_290_307})

V_216 = CTVertex(name = 'V_216',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.vt, P.R2p23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_290_305,(0,0,2):C.UVGC_290_306,(0,0,1):C.UVGC_290_307})

V_217 = CTVertex(name = 'V_217',
                 type = 'UV',
                 particles = [ P.Z, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS2 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_186_63})

V_218 = CTVertex(name = 'V_218',
                 type = 'UV',
                 particles = [ P.a, P.Z, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_187_64})

V_219 = CTVertex(name = 'V_219',
                 type = 'UV',
                 particles = [ P.Z, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS2 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_199_83})

V_220 = CTVertex(name = 'V_220',
                 type = 'UV',
                 particles = [ P.a, P.Z, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_200_84})

V_221 = CTVertex(name = 'V_221',
                 type = 'UV',
                 particles = [ P.g, P.Z, P.R2p23__star__, P.R2p23 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p23] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_188_65,(0,0,1):C.UVGC_188_66,(0,0,2):C.UVGC_188_67,(0,0,3):C.UVGC_188_68,(0,0,5):C.UVGC_188_69,(0,0,6):C.UVGC_188_70,(0,0,4):C.UVGC_188_71})

V_222 = CTVertex(name = 'V_222',
                 type = 'UV',
                 particles = [ P.g, P.Z, P.R2p53__star__, P.R2p53 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2p53] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_201_85,(0,0,1):C.UVGC_201_86,(0,0,2):C.UVGC_201_87,(0,0,3):C.UVGC_201_88,(0,0,5):C.UVGC_201_89,(0,0,6):C.UVGC_201_90,(0,0,4):C.UVGC_201_91})

V_223 = CTVertex(name = 'V_223',
                 type = 'UV',
                 particles = [ P.W__minus__, P.Z, P.R2p23__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_223_131,(0,0,2):C.UVGC_223_132,(0,0,1):C.UVGC_223_133})

V_224 = CTVertex(name = 'V_224',
                 type = 'UV',
                 particles = [ P.W__plus__, P.Z, P.R2p23, P.R2p53__star__ ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_223_131,(0,0,2):C.UVGC_223_132,(0,0,1):C.UVGC_223_133})

V_225 = CTVertex(name = 'V_225',
                 type = 'UV',
                 particles = [ P.Z, P.Z, P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p23] ] ],
                 couplings = {(0,0,0):C.UVGC_189_72})

V_226 = CTVertex(name = 'V_226',
                 type = 'UV',
                 particles = [ P.Z, P.Z, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_202_92})

V_227 = CTVertex(name = 'V_227',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_149_2})

V_228 = CTVertex(name = 'V_228',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV5 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_149_2,(0,1,0):C.UVGC_274_274})

V_229 = CTVertex(name = 'V_229',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_149_2})

V_230 = CTVertex(name = 'V_230',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_170_26,(0,1,0):C.UVGC_248_204,(0,2,0):C.UVGC_248_204})

V_231 = CTVertex(name = 'V_231',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_170_26,(0,1,0):C.UVGC_151_3,(0,2,0):C.UVGC_151_3})

V_232 = CTVertex(name = 'V_232',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_170_26,(0,1,0):C.UVGC_151_3,(0,2,0):C.UVGC_151_3})

V_233 = CTVertex(name = 'V_233',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.c, P.g] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,2):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,3):C.UVGC_172_30,(0,1,4):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,2):C.UVGC_172_34,(0,2,0):C.UVGC_172_28,(0,2,1):C.UVGC_172_29,(0,2,3):C.UVGC_172_30,(0,2,4):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,2):C.UVGC_172_34})

V_234 = CTVertex(name = 'V_234',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.t] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,2):C.UVGC_172_30,(0,1,3):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,4):C.UVGC_275_275,(0,2,0):C.UVGC_172_28,(0,2,1):C.UVGC_172_29,(0,2,2):C.UVGC_172_30,(0,2,3):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,4):C.UVGC_275_275})

V_235 = CTVertex(name = 'V_235',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.u] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,2):C.UVGC_172_30,(0,1,3):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,4):C.UVGC_172_34,(0,2,0):C.UVGC_172_28,(0,2,1):C.UVGC_172_29,(0,2,2):C.UVGC_172_30,(0,2,3):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,4):C.UVGC_172_34})

V_236 = CTVertex(name = 'V_236',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.b, P.g] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,1):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,2):C.UVGC_172_29,(0,1,3):C.UVGC_172_30,(0,1,4):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,1):C.UVGC_249_205,(0,2,0):C.UVGC_172_28,(0,2,2):C.UVGC_172_29,(0,2,3):C.UVGC_172_30,(0,2,4):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,1):C.UVGC_249_205})

V_237 = CTVertex(name = 'V_237',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.d, P.g] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,2):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,3):C.UVGC_172_30,(0,1,4):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,2):C.UVGC_172_34,(0,2,0):C.UVGC_172_28,(0,2,1):C.UVGC_172_29,(0,2,3):C.UVGC_172_30,(0,2,4):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,2):C.UVGC_172_34})

V_238 = CTVertex(name = 'V_238',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.s] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_171_27,(0,1,0):C.UVGC_172_28,(0,1,1):C.UVGC_172_29,(0,1,2):C.UVGC_172_30,(0,1,3):C.UVGC_172_31,(0,1,5):C.UVGC_172_32,(0,1,6):C.UVGC_172_33,(0,1,4):C.UVGC_172_34,(0,2,0):C.UVGC_172_28,(0,2,1):C.UVGC_172_29,(0,2,2):C.UVGC_172_30,(0,2,3):C.UVGC_172_31,(0,2,5):C.UVGC_172_32,(0,2,6):C.UVGC_172_33,(0,2,4):C.UVGC_172_34})

V_239 = CTVertex(name = 'V_239',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.c, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g], [P.g, P.s] ], [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_219_120,(0,0,1):C.UVGC_219_121})

V_240 = CTVertex(name = 'V_240',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.t, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_277_277,(0,0,2):C.UVGC_277_278,(0,0,1):C.UVGC_219_121})

V_241 = CTVertex(name = 'V_241',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.u, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g], [P.g, P.u] ], [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_219_120,(0,0,1):C.UVGC_219_121})

V_242 = CTVertex(name = 'V_242',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.b, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_277_277,(0,0,2):C.UVGC_277_278,(0,0,1):C.UVGC_219_121})

V_243 = CTVertex(name = 'V_243',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.d, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g], [P.g, P.u] ], [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_219_120,(0,0,1):C.UVGC_219_121})

V_244 = CTVertex(name = 'V_244',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.s, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g], [P.g, P.s] ], [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_219_120,(0,0,1):C.UVGC_219_121})

V_245 = CTVertex(name = 'V_245',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_278_279,(0,1,0):C.UVGC_279_280})

V_246 = CTVertex(name = 'V_246',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_251_207,(0,1,0):C.UVGC_252_208})

V_247 = CTVertex(name = 'V_247',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_148_1})

V_248 = CTVertex(name = 'V_248',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_148_1})

V_249 = CTVertex(name = 'V_249',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_276_276,(0,1,0):C.UVGC_273_273})

V_250 = CTVertex(name = 'V_250',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_148_1})

V_251 = CTVertex(name = 'V_251',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_148_1})

V_252 = CTVertex(name = 'V_252',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_250_206,(0,1,0):C.UVGC_247_203})

V_253 = CTVertex(name = 'V_253',
                 type = 'UV',
                 particles = [ P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_259_222,(0,1,0):C.UVGC_178_37})

V_254 = CTVertex(name = 'V_254',
                 type = 'UV',
                 particles = [ P.R2p23__star__, P.R2p23 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2p23] ], [ [P.g, P.R2p53] ] ],
                 couplings = {(0,0,0):C.UVGC_258_220,(0,0,1):C.UVGC_258_221,(0,1,0):C.UVGC_178_37})

V_255 = CTVertex(name = 'V_255',
                 type = 'UV',
                 particles = [ P.g, P.g ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VV1, L.VV5 ],
                 loop_particles = [ [ [P.b] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2p23], [P.R2p53] ], [ [P.t] ] ],
                 couplings = {(0,1,0):C.UVGC_260_223,(0,1,3):C.UVGC_260_224,(0,1,4):C.UVGC_260_225,(0,0,1):C.UVGC_160_6,(0,0,2):C.UVGC_160_7})

V_256 = CTVertex(name = 'V_256',
                 type = 'UV',
                 particles = [ P.R2p53__star__, P.R2p53__star__, P.R2p53, P.R2p53 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p53] ], [ [P.g] ], [ [P.g, P.R2p53] ], [ [P.g, P.R2p53, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.UVGC_243_169,(1,0,0):C.UVGC_244_175,(1,0,3):C.UVGC_243_171,(1,0,5):C.UVGC_244_176,(1,0,1):C.UVGC_244_177,(1,0,4):C.UVGC_244_178,(0,0,2):C.UVGC_243_169,(0,0,0):C.UVGC_244_175,(0,0,3):C.UVGC_243_171,(0,0,5):C.UVGC_244_176,(0,0,1):C.UVGC_244_177,(0,0,4):C.UVGC_244_178})

V_257 = CTVertex(name = 'V_257',
                 type = 'UV',
                 particles = [ P.R2p23__star__, P.R2p23, P.R2p53__star__, P.R2p53 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p23], [P.a, P.g, P.R2p53] ], [ [P.a, P.g, P.R2p23, P.R2p53] ], [ [P.g] ], [ [P.g, P.R2p23], [P.g, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53] ], [ [P.g, P.R2p23, P.R2p53, P.W__plus__] ], [ [P.g, P.R2p23, P.R2p53, P.Z] ], [ [P.g, P.R2p23, P.W__plus__], [P.g, P.R2p53, P.W__plus__] ], [ [P.g, P.R2p23, P.Z], [P.g, P.R2p53, P.Z] ], [ [P.g, P.W__plus__] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,3):C.UVGC_246_191,(1,0,0):C.UVGC_246_192,(1,0,4):C.UVGC_246_193,(1,0,10):C.UVGC_246_194,(1,0,11):C.UVGC_246_195,(1,0,1):C.UVGC_246_196,(1,0,5):C.UVGC_246_197,(1,0,8):C.UVGC_246_198,(1,0,9):C.UVGC_246_199,(1,0,2):C.UVGC_246_200,(1,0,6):C.UVGC_246_201,(1,0,7):C.UVGC_246_202,(0,0,3):C.UVGC_245_179,(0,0,0):C.UVGC_245_180,(0,0,4):C.UVGC_245_181,(0,0,10):C.UVGC_245_182,(0,0,11):C.UVGC_245_183,(0,0,1):C.UVGC_245_184,(0,0,5):C.UVGC_245_185,(0,0,8):C.UVGC_245_186,(0,0,9):C.UVGC_245_187,(0,0,2):C.UVGC_245_188,(0,0,6):C.UVGC_245_189,(0,0,7):C.UVGC_245_190})

V_258 = CTVertex(name = 'V_258',
                 type = 'UV',
                 particles = [ P.R2p23__star__, P.R2p23__star__, P.R2p23, P.R2p23 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2p23] ], [ [P.g] ], [ [P.g, P.R2p23] ], [ [P.g, P.R2p23, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.UVGC_243_169,(1,0,0):C.UVGC_243_170,(1,0,3):C.UVGC_243_171,(1,0,5):C.UVGC_243_172,(1,0,1):C.UVGC_243_173,(1,0,4):C.UVGC_243_174,(0,0,2):C.UVGC_243_169,(0,0,0):C.UVGC_243_170,(0,0,3):C.UVGC_243_171,(0,0,5):C.UVGC_243_172,(0,0,1):C.UVGC_243_173,(0,0,4):C.UVGC_243_174})

