# This file was automatically created by FeynRules 2.3.29
# Mathematica version: 8.0 for Mac OS X x86 (64-bit) (October 5, 2011)
# Date: Sat 2 Dec 2017 16:37:37


from object_library import all_vertices, all_CTvertices, Vertex, CTVertex
import particles as P
import CT_couplings as C
import lorentz as L


V_1 = CTVertex(name = 'V_1',
               type = 'R2',
               particles = [ P.g, P.g, P.g ],
               color = [ 'f(1,2,3)' ],
               lorentz = [ L.VVV1, L.VVV2, L.VVV4, L.VVV6, L.VVV7, L.VVV8 ],
               loop_particles = [ [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ] ],
               couplings = {(0,0,0):C.R2GC_243_129,(0,0,1):C.R2GC_243_130,(0,1,0):C.R2GC_246_131,(0,1,1):C.R2GC_246_132,(0,2,0):C.R2GC_246_131,(0,2,1):C.R2GC_246_132,(0,3,0):C.R2GC_243_129,(0,3,1):C.R2GC_243_130,(0,4,0):C.R2GC_243_129,(0,4,1):C.R2GC_243_130,(0,5,0):C.R2GC_246_131,(0,5,1):C.R2GC_246_132})

V_2 = CTVertex(name = 'V_2',
               type = 'R2',
               particles = [ P.g, P.g, P.g, P.g ],
               color = [ 'd(-1,1,3)*d(-1,2,4)', 'd(-1,1,3)*f(-1,2,4)', 'd(-1,1,4)*d(-1,2,3)', 'd(-1,1,4)*f(-1,2,3)', 'd(-1,2,3)*f(-1,1,4)', 'd(-1,2,4)*f(-1,1,3)', 'f(-1,1,2)*f(-1,3,4)', 'f(-1,1,3)*f(-1,2,4)', 'f(-1,1,4)*f(-1,2,3)', 'Identity(1,2)*Identity(3,4)', 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
               lorentz = [ L.VVVV2, L.VVVV3, L.VVVV4 ],
               loop_particles = [ [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ] ],
               couplings = {(2,0,0):C.R2GC_161_35,(2,0,1):C.R2GC_161_36,(0,0,0):C.R2GC_161_35,(0,0,1):C.R2GC_161_36,(4,0,0):C.R2GC_159_31,(4,0,1):C.R2GC_159_32,(3,0,0):C.R2GC_159_31,(3,0,1):C.R2GC_159_32,(8,0,0):C.R2GC_160_33,(8,0,1):C.R2GC_160_34,(7,0,0):C.R2GC_167_42,(7,0,1):C.R2GC_252_137,(6,0,0):C.R2GC_166_40,(6,0,1):C.R2GC_253_138,(5,0,0):C.R2GC_159_31,(5,0,1):C.R2GC_159_32,(1,0,0):C.R2GC_159_31,(1,0,1):C.R2GC_159_32,(11,0,0):C.R2GC_163_38,(11,0,1):C.R2GC_163_39,(10,0,0):C.R2GC_163_38,(10,0,1):C.R2GC_163_39,(9,0,1):C.R2GC_162_37,(2,1,0):C.R2GC_161_35,(2,1,1):C.R2GC_161_36,(0,1,0):C.R2GC_161_35,(0,1,1):C.R2GC_161_36,(6,1,0):C.R2GC_250_134,(6,1,1):C.R2GC_250_135,(4,1,0):C.R2GC_159_31,(4,1,1):C.R2GC_159_32,(3,1,0):C.R2GC_159_31,(3,1,1):C.R2GC_159_32,(8,1,0):C.R2GC_160_33,(8,1,1):C.R2GC_254_139,(7,1,0):C.R2GC_167_42,(7,1,1):C.R2GC_167_43,(5,1,0):C.R2GC_159_31,(5,1,1):C.R2GC_159_32,(1,1,0):C.R2GC_159_31,(1,1,1):C.R2GC_159_32,(11,1,0):C.R2GC_163_38,(11,1,1):C.R2GC_163_39,(10,1,0):C.R2GC_163_38,(10,1,1):C.R2GC_163_39,(9,1,1):C.R2GC_162_37,(2,2,0):C.R2GC_161_35,(2,2,1):C.R2GC_161_36,(0,2,0):C.R2GC_161_35,(0,2,1):C.R2GC_161_36,(4,2,0):C.R2GC_159_31,(4,2,1):C.R2GC_159_32,(3,2,0):C.R2GC_159_31,(3,2,1):C.R2GC_159_32,(8,2,0):C.R2GC_160_33,(8,2,1):C.R2GC_251_136,(6,2,0):C.R2GC_166_40,(6,2,1):C.R2GC_166_41,(7,2,0):C.R2GC_249_133,(7,2,1):C.R2GC_161_36,(5,2,0):C.R2GC_159_31,(5,2,1):C.R2GC_159_32,(1,2,0):C.R2GC_159_31,(1,2,1):C.R2GC_159_32,(11,2,0):C.R2GC_163_38,(11,2,1):C.R2GC_163_39,(10,2,0):C.R2GC_163_38,(10,2,1):C.R2GC_163_39,(9,2,1):C.R2GC_162_37})

V_3 = CTVertex(name = 'V_3',
               type = 'R2',
               particles = [ P.t__tilde__, P.b, P.G__plus__ ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS3, L.FFS4 ],
               loop_particles = [ [ [P.b, P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_263_142,(0,1,0):C.R2GC_264_143})

V_4 = CTVertex(name = 'V_4',
               type = 'R2',
               particles = [ P.b__tilde__, P.b, P.G0 ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS1 ],
               loop_particles = [ [ [P.b, P.g] ] ],
               couplings = {(0,0,0):C.R2GC_233_121})

V_5 = CTVertex(name = 'V_5',
               type = 'R2',
               particles = [ P.b__tilde__, P.b, P.H ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS2 ],
               loop_particles = [ [ [P.b, P.g] ] ],
               couplings = {(0,0,0):C.R2GC_232_120})

V_6 = CTVertex(name = 'V_6',
               type = 'R2',
               particles = [ P.t__tilde__, P.t, P.G0 ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS1 ],
               loop_particles = [ [ [P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_266_145})

V_7 = CTVertex(name = 'V_7',
               type = 'R2',
               particles = [ P.t__tilde__, P.t, P.H ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS2 ],
               loop_particles = [ [ [P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_267_146})

V_8 = CTVertex(name = 'V_8',
               type = 'R2',
               particles = [ P.b__tilde__, P.t, P.G__minus__ ],
               color = [ 'Identity(1,2)' ],
               lorentz = [ L.FFS3, L.FFS4 ],
               loop_particles = [ [ [P.b, P.g, P.t] ] ],
               couplings = {(0,0,0):C.R2GC_265_144,(0,1,0):C.R2GC_262_141})

V_9 = CTVertex(name = 'V_9',
               type = 'R2',
               particles = [ P.a, P.R2tm13__star__, P.R2tm13 ],
               color = [ 'Identity(2,3)' ],
               lorentz = [ L.VSS1, L.VSS3 ],
               loop_particles = [ [ [P.g, P.R2tm13] ] ],
               couplings = {(0,0,0):C.R2GC_174_46,(0,1,0):C.R2GC_175_47})

V_10 = CTVertex(name = 'V_10',
                type = 'R2',
                particles = [ P.a, P.a, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_176_48})

V_11 = CTVertex(name = 'V_11',
                type = 'R2',
                particles = [ P.a, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS1, L.VSS3 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_188_59,(0,1,0):C.R2GC_187_58})

V_12 = CTVertex(name = 'V_12',
                type = 'R2',
                particles = [ P.a, P.a, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_189_60})

V_13 = CTVertex(name = 'V_13',
                type = 'R2',
                particles = [ P.g, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'T(1,3,2)' ],
                lorentz = [ L.VSS1, L.VSS3 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_178_50,(0,1,0):C.R2GC_177_49})

V_14 = CTVertex(name = 'V_14',
                type = 'R2',
                particles = [ P.a, P.g, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'T(2,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_179_51})

V_15 = CTVertex(name = 'V_15',
                type = 'R2',
                particles = [ P.g, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'T(1,3,2)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_178_50})

V_16 = CTVertex(name = 'V_16',
                type = 'R2',
                particles = [ P.a, P.g, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'T(2,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_191_61})

V_17 = CTVertex(name = 'V_17',
                type = 'R2',
                particles = [ P.g, P.g, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g] ], [ [P.g, P.R2tm13] ] ],
                couplings = {(2,0,0):C.R2GC_180_52,(2,0,1):C.R2GC_180_53,(1,0,0):C.R2GC_180_52,(1,0,1):C.R2GC_180_53,(0,0,0):C.R2GC_163_39,(0,0,1):C.R2GC_172_44})

V_18 = CTVertex(name = 'V_18',
                type = 'R2',
                particles = [ P.g, P.g, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g] ], [ [P.g, P.R2tp23] ] ],
                couplings = {(2,0,0):C.R2GC_180_52,(2,0,1):C.R2GC_180_53,(1,0,0):C.R2GC_180_52,(1,0,1):C.R2GC_180_53,(0,0,0):C.R2GC_163_39,(0,0,1):C.R2GC_172_44})

V_19 = CTVertex(name = 'V_19',
                type = 'R2',
                particles = [ P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_212_77})

V_20 = CTVertex(name = 'V_20',
                type = 'R2',
                particles = [ P.a, P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_213_78})

V_21 = CTVertex(name = 'V_21',
                type = 'R2',
                particles = [ P.g, P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_214_79,(0,0,1):C.R2GC_214_80})

V_22 = CTVertex(name = 'V_22',
                type = 'R2',
                particles = [ P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_211_76})

V_23 = CTVertex(name = 'V_23',
                type = 'R2',
                particles = [ P.a, P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_213_78})

V_24 = CTVertex(name = 'V_24',
                type = 'R2',
                particles = [ P.g, P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                color = [ 'T(1,3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_214_79,(0,0,1):C.R2GC_214_80})

V_25 = CTVertex(name = 'V_25',
                type = 'R2',
                particles = [ P.W__minus__, P.W__plus__, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_209_74,(0,0,1):C.R2GC_209_75})

V_26 = CTVertex(name = 'V_26',
                type = 'R2',
                particles = [ P.W__minus__, P.W__plus__, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,1):C.R2GC_209_74,(0,0,0):C.R2GC_209_75})

V_27 = CTVertex(name = 'V_27',
                type = 'R2',
                particles = [ P.ve__tilde__, P.d, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_202_67})

V_28 = CTVertex(name = 'V_28',
                type = 'R2',
                particles = [ P.d__tilde__, P.ve, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_202_67})

V_29 = CTVertex(name = 'V_29',
                type = 'R2',
                particles = [ P.e__plus__, P.d, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_205_70})

V_30 = CTVertex(name = 'V_30',
                type = 'R2',
                particles = [ P.d__tilde__, P.e__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_205_70})

V_31 = CTVertex(name = 'V_31',
                type = 'R2',
                particles = [ P.vm__tilde__, P.d, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_203_68})

V_32 = CTVertex(name = 'V_32',
                type = 'R2',
                particles = [ P.d__tilde__, P.vm, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_203_68})

V_33 = CTVertex(name = 'V_33',
                type = 'R2',
                particles = [ P.mu__plus__, P.d, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_206_71})

V_34 = CTVertex(name = 'V_34',
                type = 'R2',
                particles = [ P.d__tilde__, P.mu__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_206_71})

V_35 = CTVertex(name = 'V_35',
                type = 'R2',
                particles = [ P.vt__tilde__, P.d, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_204_69})

V_36 = CTVertex(name = 'V_36',
                type = 'R2',
                particles = [ P.d__tilde__, P.vt, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_204_69})

V_37 = CTVertex(name = 'V_37',
                type = 'R2',
                particles = [ P.ta__plus__, P.d, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_207_72})

V_38 = CTVertex(name = 'V_38',
                type = 'R2',
                particles = [ P.d__tilde__, P.ta__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.d, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_207_72})

V_39 = CTVertex(name = 'V_39',
                type = 'R2',
                particles = [ P.ve__tilde__, P.s, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_215_81})

V_40 = CTVertex(name = 'V_40',
                type = 'R2',
                particles = [ P.s__tilde__, P.ve, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_215_81})

V_41 = CTVertex(name = 'V_41',
                type = 'R2',
                particles = [ P.e__plus__, P.s, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_218_84})

V_42 = CTVertex(name = 'V_42',
                type = 'R2',
                particles = [ P.s__tilde__, P.e__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_218_84})

V_43 = CTVertex(name = 'V_43',
                type = 'R2',
                particles = [ P.vm__tilde__, P.s, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_216_82})

V_44 = CTVertex(name = 'V_44',
                type = 'R2',
                particles = [ P.s__tilde__, P.vm, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_216_82})

V_45 = CTVertex(name = 'V_45',
                type = 'R2',
                particles = [ P.mu__plus__, P.s, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_219_85})

V_46 = CTVertex(name = 'V_46',
                type = 'R2',
                particles = [ P.s__tilde__, P.mu__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_219_85})

V_47 = CTVertex(name = 'V_47',
                type = 'R2',
                particles = [ P.vt__tilde__, P.s, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_217_83})

V_48 = CTVertex(name = 'V_48',
                type = 'R2',
                particles = [ P.s__tilde__, P.vt, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_217_83})

V_49 = CTVertex(name = 'V_49',
                type = 'R2',
                particles = [ P.ta__plus__, P.s, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_220_86})

V_50 = CTVertex(name = 'V_50',
                type = 'R2',
                particles = [ P.s__tilde__, P.ta__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.g, P.R2tp23, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_220_86})

V_51 = CTVertex(name = 'V_51',
                type = 'R2',
                particles = [ P.ve__tilde__, P.b, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_235_123})

V_52 = CTVertex(name = 'V_52',
                type = 'R2',
                particles = [ P.b__tilde__, P.ve, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_235_123})

V_53 = CTVertex(name = 'V_53',
                type = 'R2',
                particles = [ P.e__plus__, P.b, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_234_122})

V_54 = CTVertex(name = 'V_54',
                type = 'R2',
                particles = [ P.b__tilde__, P.e__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_234_122})

V_55 = CTVertex(name = 'V_55',
                type = 'R2',
                particles = [ P.vm__tilde__, P.b, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_237_125})

V_56 = CTVertex(name = 'V_56',
                type = 'R2',
                particles = [ P.b__tilde__, P.vm, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_237_125})

V_57 = CTVertex(name = 'V_57',
                type = 'R2',
                particles = [ P.mu__plus__, P.b, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_236_124})

V_58 = CTVertex(name = 'V_58',
                type = 'R2',
                particles = [ P.b__tilde__, P.mu__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_236_124})

V_59 = CTVertex(name = 'V_59',
                type = 'R2',
                particles = [ P.vt__tilde__, P.b, P.R2tm13__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_239_127})

V_60 = CTVertex(name = 'V_60',
                type = 'R2',
                particles = [ P.b__tilde__, P.vt, P.R2tm13 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_239_127})

V_61 = CTVertex(name = 'V_61',
                type = 'R2',
                particles = [ P.ta__plus__, P.b, P.R2tp23__star__ ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.FFS3 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_238_126})

V_62 = CTVertex(name = 'V_62',
                type = 'R2',
                particles = [ P.b__tilde__, P.ta__minus__, P.R2tp23 ],
                color = [ 'Identity(1,3)' ],
                lorentz = [ L.FFS4 ],
                loop_particles = [ [ [P.b, P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_238_126})

V_63 = CTVertex(name = 'V_63',
                type = 'R2',
                particles = [ P.Z, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_181_54})

V_64 = CTVertex(name = 'V_64',
                type = 'R2',
                particles = [ P.a, P.Z, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_182_55})

V_65 = CTVertex(name = 'V_65',
                type = 'R2',
                particles = [ P.Z, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(2,3)' ],
                lorentz = [ L.VSS2 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_193_62})

V_66 = CTVertex(name = 'V_66',
                type = 'R2',
                particles = [ P.a, P.Z, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_194_63})

V_67 = CTVertex(name = 'V_67',
                type = 'R2',
                particles = [ P.g, P.Z, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_183_56})

V_68 = CTVertex(name = 'V_68',
                type = 'R2',
                particles = [ P.g, P.Z, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'T(1,4,3)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_195_64})

V_69 = CTVertex(name = 'V_69',
                type = 'R2',
                particles = [ P.W__minus__, P.Z, P.R2tm13__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_208_73})

V_70 = CTVertex(name = 'V_70',
                type = 'R2',
                particles = [ P.W__plus__, P.Z, P.R2tm13, P.R2tp23__star__ ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_208_73})

V_71 = CTVertex(name = 'V_71',
                type = 'R2',
                particles = [ P.Z, P.Z, P.R2tm13__star__, P.R2tm13 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tm13] ] ],
                couplings = {(0,0,0):C.R2GC_184_57})

V_72 = CTVertex(name = 'V_72',
                type = 'R2',
                particles = [ P.Z, P.Z, P.R2tp23__star__, P.R2tp23 ],
                color = [ 'Identity(3,4)' ],
                lorentz = [ L.VVSS1 ],
                loop_particles = [ [ [P.g, P.R2tp23] ] ],
                couplings = {(0,0,0):C.R2GC_196_65})

V_73 = CTVertex(name = 'V_73',
                type = 'R2',
                particles = [ P.c__tilde__, P.c, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_114_3})

V_74 = CTVertex(name = 'V_74',
                type = 'R2',
                particles = [ P.t__tilde__, P.t, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_114_3})

V_75 = CTVertex(name = 'V_75',
                type = 'R2',
                particles = [ P.u__tilde__, P.u, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_114_3})

V_76 = CTVertex(name = 'V_76',
                type = 'R2',
                particles = [ P.b__tilde__, P.b, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.b, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_118_6})

V_77 = CTVertex(name = 'V_77',
                type = 'R2',
                particles = [ P.d__tilde__, P.d, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.d, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_118_6})

V_78 = CTVertex(name = 'V_78',
                type = 'R2',
                particles = [ P.s__tilde__, P.s, P.a ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_118_6})

V_79 = CTVertex(name = 'V_79',
                type = 'R2',
                particles = [ P.c__tilde__, P.c, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_80 = CTVertex(name = 'V_80',
                type = 'R2',
                particles = [ P.t__tilde__, P.t, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_81 = CTVertex(name = 'V_81',
                type = 'R2',
                particles = [ P.u__tilde__, P.u, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_82 = CTVertex(name = 'V_82',
                type = 'R2',
                particles = [ P.b__tilde__, P.b, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.b, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_83 = CTVertex(name = 'V_83',
                type = 'R2',
                particles = [ P.d__tilde__, P.d, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.d, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_84 = CTVertex(name = 'V_84',
                type = 'R2',
                particles = [ P.s__tilde__, P.s, P.g ],
                color = [ 'T(3,2,1)' ],
                lorentz = [ L.FFV1 ],
                loop_particles = [ [ [P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_115_4})

V_85 = CTVertex(name = 'V_85',
                type = 'R2',
                particles = [ P.s__tilde__, P.c, P.W__minus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.c, P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_86 = CTVertex(name = 'V_86',
                type = 'R2',
                particles = [ P.b__tilde__, P.t, P.W__minus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.b, P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_87 = CTVertex(name = 'V_87',
                type = 'R2',
                particles = [ P.d__tilde__, P.u, P.W__minus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.d, P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_88 = CTVertex(name = 'V_88',
                type = 'R2',
                particles = [ P.t__tilde__, P.b, P.W__plus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.b, P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_89 = CTVertex(name = 'V_89',
                type = 'R2',
                particles = [ P.u__tilde__, P.d, P.W__plus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.d, P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_90 = CTVertex(name = 'V_90',
                type = 'R2',
                particles = [ P.c__tilde__, P.s, P.W__plus__ ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2 ],
                loop_particles = [ [ [P.c, P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_201_66})

V_91 = CTVertex(name = 'V_91',
                type = 'R2',
                particles = [ P.c__tilde__, P.c, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_137_27,(0,1,0):C.R2GC_116_5})

V_92 = CTVertex(name = 'V_92',
                type = 'R2',
                particles = [ P.t__tilde__, P.t, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_137_27,(0,1,0):C.R2GC_116_5})

V_93 = CTVertex(name = 'V_93',
                type = 'R2',
                particles = [ P.u__tilde__, P.u, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_137_27,(0,1,0):C.R2GC_116_5})

V_94 = CTVertex(name = 'V_94',
                type = 'R2',
                particles = [ P.b__tilde__, P.b, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.b, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_138_28,(0,1,0):C.R2GC_119_7})

V_95 = CTVertex(name = 'V_95',
                type = 'R2',
                particles = [ P.d__tilde__, P.d, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.d, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_138_28,(0,1,0):C.R2GC_119_7})

V_96 = CTVertex(name = 'V_96',
                type = 'R2',
                particles = [ P.s__tilde__, P.s, P.Z ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FFV2, L.FFV3 ],
                loop_particles = [ [ [P.g, P.s] ] ],
                couplings = {(0,0,0):C.R2GC_138_28,(0,1,0):C.R2GC_119_7})

V_97 = CTVertex(name = 'V_97',
                type = 'R2',
                particles = [ P.u__tilde__, P.u ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FF1 ],
                loop_particles = [ [ [P.g, P.u] ] ],
                couplings = {(0,0,0):C.R2GC_113_2})

V_98 = CTVertex(name = 'V_98',
                type = 'R2',
                particles = [ P.c__tilde__, P.c ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FF1 ],
                loop_particles = [ [ [P.c, P.g] ] ],
                couplings = {(0,0,0):C.R2GC_113_2})

V_99 = CTVertex(name = 'V_99',
                type = 'R2',
                particles = [ P.t__tilde__, P.t ],
                color = [ 'Identity(1,2)' ],
                lorentz = [ L.FF2, L.FF3 ],
                loop_particles = [ [ [P.g, P.t] ] ],
                couplings = {(0,0,0):C.R2GC_258_140,(0,1,0):C.R2GC_113_2})

V_100 = CTVertex(name = 'V_100',
                 type = 'R2',
                 particles = [ P.d__tilde__, P.d ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_113_2})

V_101 = CTVertex(name = 'V_101',
                 type = 'R2',
                 particles = [ P.s__tilde__, P.s ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF1 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.R2GC_113_2})

V_102 = CTVertex(name = 'V_102',
                 type = 'R2',
                 particles = [ P.b__tilde__, P.b ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.R2GC_229_119,(0,1,0):C.R2GC_113_2})

V_103 = CTVertex(name = 'V_103',
                 type = 'R2',
                 particles = [ P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.R2GC_240_128,(0,1,0):C.R2GC_173_45})

V_104 = CTVertex(name = 'V_104',
                 type = 'R2',
                 particles = [ P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.R2GC_240_128,(0,1,0):C.R2GC_173_45})

V_105 = CTVertex(name = 'V_105',
                 type = 'R2',
                 particles = [ P.g, P.g ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VV2, L.VV3, L.VV4 ],
                 loop_particles = [ [ [P.b] ], [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.g] ], [ [P.t] ] ],
                 couplings = {(0,2,2):C.R2GC_112_1,(0,0,0):C.R2GC_127_8,(0,0,3):C.R2GC_127_9,(0,1,1):C.R2GC_130_14})

V_106 = CTVertex(name = 'V_106',
                 type = 'R2',
                 particles = [ P.g, P.g, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_128_10,(0,0,1):C.R2GC_128_11})

V_107 = CTVertex(name = 'V_107',
                 type = 'R2',
                 particles = [ P.a, P.a, P.g, P.g ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_131_15,(0,0,1):C.R2GC_131_16})

V_108 = CTVertex(name = 'V_108',
                 type = 'R2',
                 particles = [ P.a, P.g, P.g, P.Z ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_133_19,(0,0,1):C.R2GC_133_20})

V_109 = CTVertex(name = 'V_109',
                 type = 'R2',
                 particles = [ P.g, P.g, P.Z, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_136_25,(0,0,1):C.R2GC_136_26})

V_110 = CTVertex(name = 'V_110',
                 type = 'R2',
                 particles = [ P.g, P.g, P.W__minus__, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b, P.t], [P.c, P.s], [P.d, P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_141_30})

V_111 = CTVertex(name = 'V_111',
                 type = 'R2',
                 particles = [ P.a, P.g, P.g, P.g ],
                 color = [ 'd(2,3,4)' ],
                 lorentz = [ L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(0,0,0):C.R2GC_132_17,(0,0,1):C.R2GC_132_18})

V_112 = CTVertex(name = 'V_112',
                 type = 'R2',
                 particles = [ P.g, P.g, P.g, P.Z ],
                 color = [ 'd(1,2,3)', 'f(1,2,3)' ],
                 lorentz = [ L.VVVV1, L.VVVV7 ],
                 loop_particles = [ [ [P.b], [P.d], [P.s] ], [ [P.c], [P.t], [P.u] ] ],
                 couplings = {(1,0,0):C.R2GC_135_23,(1,0,1):C.R2GC_135_24,(0,1,0):C.R2GC_134_21,(0,1,1):C.R2GC_134_22})

V_113 = CTVertex(name = 'V_113',
                 type = 'R2',
                 particles = [ P.g, P.g, P.H, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_129_12,(0,0,1):C.R2GC_129_13})

V_114 = CTVertex(name = 'V_114',
                 type = 'R2',
                 particles = [ P.g, P.g, P.G0, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_129_12,(0,0,1):C.R2GC_129_13})

V_115 = CTVertex(name = 'V_115',
                 type = 'R2',
                 particles = [ P.g, P.g, P.G__minus__, P.G__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b, P.t] ] ],
                 couplings = {(0,0,0):C.R2GC_140_29})

V_116 = CTVertex(name = 'V_116',
                 type = 'R2',
                 particles = [ P.R2tp23__star__, P.R2tp23__star__, P.R2tp23, P.R2tp23 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tp23] ], [ [P.g] ], [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.R2GC_222_87,(1,0,0):C.R2GC_223_93,(1,0,3):C.R2GC_222_89,(1,0,5):C.R2GC_223_94,(1,0,1):C.R2GC_223_95,(1,0,4):C.R2GC_223_96,(0,0,2):C.R2GC_222_87,(0,0,0):C.R2GC_223_93,(0,0,3):C.R2GC_222_89,(0,0,5):C.R2GC_223_94,(0,0,1):C.R2GC_223_95,(0,0,4):C.R2GC_223_96})

V_117 = CTVertex(name = 'V_117',
                 type = 'R2',
                 particles = [ P.R2tm13__star__, P.R2tm13, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tm13], [P.a, P.g, P.R2tp23] ], [ [P.a, P.g, P.R2tm13, P.R2tp23] ], [ [P.g] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23, P.W__plus__] ], [ [P.g, P.R2tm13, P.R2tp23, P.Z] ], [ [P.g, P.R2tm13, P.W__plus__], [P.g, P.R2tp23, P.W__plus__] ], [ [P.g, P.R2tm13, P.Z], [P.g, P.R2tp23, P.Z] ], [ [P.g, P.W__plus__] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,3):C.R2GC_225_107,(1,0,0):C.R2GC_225_108,(1,0,4):C.R2GC_225_109,(1,0,10):C.R2GC_225_110,(1,0,11):C.R2GC_225_111,(1,0,1):C.R2GC_225_112,(1,0,5):C.R2GC_225_113,(1,0,8):C.R2GC_225_114,(1,0,9):C.R2GC_225_115,(1,0,2):C.R2GC_225_116,(1,0,6):C.R2GC_225_117,(1,0,7):C.R2GC_225_118,(0,0,3):C.R2GC_224_97,(0,0,0):C.R2GC_222_88,(0,0,4):C.R2GC_224_98,(0,0,10):C.R2GC_224_99,(0,0,11):C.R2GC_224_100,(0,0,1):C.R2GC_131_15,(0,0,5):C.R2GC_224_101,(0,0,8):C.R2GC_224_102,(0,0,9):C.R2GC_224_103,(0,0,2):C.R2GC_224_104,(0,0,6):C.R2GC_224_105,(0,0,7):C.R2GC_224_106})

V_118 = CTVertex(name = 'V_118',
                 type = 'R2',
                 particles = [ P.R2tm13__star__, P.R2tm13__star__, P.R2tm13, P.R2tm13 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tm13] ], [ [P.g] ], [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.R2GC_222_87,(1,0,0):C.R2GC_222_88,(1,0,3):C.R2GC_222_89,(1,0,5):C.R2GC_222_90,(1,0,1):C.R2GC_222_91,(1,0,4):C.R2GC_222_92,(0,0,2):C.R2GC_222_87,(0,0,0):C.R2GC_222_88,(0,0,3):C.R2GC_222_89,(0,0,5):C.R2GC_222_90,(0,0,1):C.R2GC_222_91,(0,0,4):C.R2GC_222_92})

V_119 = CTVertex(name = 'V_119',
                 type = 'UV',
                 particles = [ P.g, P.g, P.g ],
                 color = [ 'f(1,2,3)' ],
                 lorentz = [ L.VVV1, L.VVV2, L.VVV3, L.VVV4, L.VVV5, L.VVV6, L.VVV7, L.VVV8 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_243_214,(0,0,1):C.UVGC_243_215,(0,0,2):C.UVGC_243_216,(0,0,3):C.UVGC_164_20,(0,0,4):C.UVGC_243_217,(0,0,5):C.UVGC_243_218,(0,1,0):C.UVGC_246_224,(0,1,1):C.UVGC_246_225,(0,1,2):C.UVGC_247_229,(0,1,3):C.UVGC_247_230,(0,1,4):C.UVGC_247_231,(0,1,5):C.UVGC_246_228,(0,3,0):C.UVGC_246_224,(0,3,1):C.UVGC_246_225,(0,3,2):C.UVGC_246_226,(0,3,3):C.UVGC_158_10,(0,3,4):C.UVGC_246_227,(0,3,5):C.UVGC_246_228,(0,5,0):C.UVGC_243_214,(0,5,1):C.UVGC_243_215,(0,5,2):C.UVGC_245_221,(0,5,3):C.UVGC_245_222,(0,5,4):C.UVGC_245_223,(0,5,5):C.UVGC_243_218,(0,6,0):C.UVGC_243_214,(0,6,1):C.UVGC_243_215,(0,6,2):C.UVGC_244_219,(0,6,3):C.UVGC_244_220,(0,6,4):C.UVGC_243_217,(0,6,5):C.UVGC_243_218,(0,7,0):C.UVGC_246_224,(0,7,1):C.UVGC_246_225,(0,7,2):C.UVGC_248_232,(0,7,3):C.UVGC_248_233,(0,7,4):C.UVGC_247_231,(0,7,5):C.UVGC_246_228,(0,2,2):C.UVGC_158_9,(0,2,3):C.UVGC_158_10,(0,4,2):C.UVGC_164_19,(0,4,3):C.UVGC_164_20,(0,4,4):C.UVGC_164_21})

V_120 = CTVertex(name = 'V_120',
                 type = 'UV',
                 particles = [ P.g, P.g, P.g, P.g ],
                 color = [ 'd(-1,1,3)*d(-1,2,4)', 'd(-1,1,3)*f(-1,2,4)', 'd(-1,1,4)*d(-1,2,3)', 'd(-1,1,4)*f(-1,2,3)', 'd(-1,2,3)*f(-1,1,4)', 'd(-1,2,4)*f(-1,1,3)', 'f(-1,1,2)*f(-1,3,4)', 'f(-1,1,3)*f(-1,2,4)', 'f(-1,1,4)*f(-1,2,3)', 'Identity(1,2)*Identity(3,4)', 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.VVVV2, L.VVVV3, L.VVVV4 ],
                 loop_particles = [ [ [P.b] ], [ [P.b], [P.c], [P.d], [P.R2tm13], [P.R2tp23], [P.s], [P.t], [P.u] ], [ [P.b], [P.c], [P.d], [P.s], [P.t], [P.u] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(2,0,4):C.UVGC_160_14,(2,0,5):C.UVGC_160_13,(0,0,4):C.UVGC_160_14,(0,0,5):C.UVGC_160_13,(4,0,4):C.UVGC_159_11,(4,0,5):C.UVGC_159_12,(3,0,4):C.UVGC_159_11,(3,0,5):C.UVGC_159_12,(8,0,4):C.UVGC_160_13,(8,0,5):C.UVGC_160_14,(7,0,0):C.UVGC_252_248,(7,0,3):C.UVGC_180_56,(7,0,4):C.UVGC_252_249,(7,0,5):C.UVGC_252_250,(7,0,6):C.UVGC_252_251,(7,0,7):C.UVGC_252_252,(6,0,0):C.UVGC_252_248,(6,0,3):C.UVGC_180_56,(6,0,4):C.UVGC_253_253,(6,0,5):C.UVGC_253_254,(6,0,6):C.UVGC_252_251,(6,0,7):C.UVGC_252_252,(5,0,4):C.UVGC_159_11,(5,0,5):C.UVGC_159_12,(1,0,4):C.UVGC_159_11,(1,0,5):C.UVGC_159_12,(11,0,4):C.UVGC_163_17,(11,0,5):C.UVGC_163_18,(10,0,4):C.UVGC_163_17,(10,0,5):C.UVGC_163_18,(9,0,4):C.UVGC_162_15,(9,0,5):C.UVGC_162_16,(2,1,4):C.UVGC_160_14,(2,1,5):C.UVGC_160_13,(0,1,4):C.UVGC_160_14,(0,1,5):C.UVGC_160_13,(6,1,0):C.UVGC_249_234,(6,1,4):C.UVGC_250_239,(6,1,5):C.UVGC_250_240,(6,1,6):C.UVGC_250_241,(6,1,7):C.UVGC_249_238,(4,1,4):C.UVGC_159_11,(4,1,5):C.UVGC_159_12,(3,1,4):C.UVGC_159_11,(3,1,5):C.UVGC_159_12,(8,1,0):C.UVGC_254_255,(8,1,3):C.UVGC_254_256,(8,1,4):C.UVGC_254_257,(8,1,5):C.UVGC_254_258,(8,1,6):C.UVGC_254_259,(8,1,7):C.UVGC_254_260,(7,1,1):C.UVGC_166_28,(7,1,4):C.UVGC_167_31,(7,1,5):C.UVGC_167_32,(5,1,4):C.UVGC_159_11,(5,1,5):C.UVGC_159_12,(1,1,4):C.UVGC_159_11,(1,1,5):C.UVGC_159_12,(11,1,4):C.UVGC_163_17,(11,1,5):C.UVGC_163_18,(10,1,4):C.UVGC_163_17,(10,1,5):C.UVGC_163_18,(9,1,4):C.UVGC_162_15,(9,1,5):C.UVGC_162_16,(2,2,4):C.UVGC_160_14,(2,2,5):C.UVGC_160_13,(0,2,4):C.UVGC_160_14,(0,2,5):C.UVGC_160_13,(4,2,4):C.UVGC_159_11,(4,2,5):C.UVGC_159_12,(3,2,4):C.UVGC_159_11,(3,2,5):C.UVGC_159_12,(8,2,0):C.UVGC_251_242,(8,2,3):C.UVGC_251_243,(8,2,4):C.UVGC_251_244,(8,2,5):C.UVGC_251_245,(8,2,6):C.UVGC_251_246,(8,2,7):C.UVGC_251_247,(6,2,2):C.UVGC_166_28,(6,2,4):C.UVGC_166_29,(6,2,5):C.UVGC_162_15,(6,2,6):C.UVGC_166_30,(7,2,0):C.UVGC_249_234,(7,2,4):C.UVGC_249_235,(7,2,5):C.UVGC_249_236,(7,2,6):C.UVGC_249_237,(7,2,7):C.UVGC_249_238,(5,2,4):C.UVGC_159_11,(5,2,5):C.UVGC_159_12,(1,2,4):C.UVGC_159_11,(1,2,5):C.UVGC_159_12,(11,2,4):C.UVGC_163_17,(11,2,5):C.UVGC_163_18,(10,2,4):C.UVGC_163_17,(10,2,5):C.UVGC_163_18,(9,2,4):C.UVGC_162_15,(9,2,5):C.UVGC_162_16})

V_121 = CTVertex(name = 'V_121',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.b, P.G__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_263_272,(0,0,2):C.UVGC_263_273,(0,0,1):C.UVGC_263_274,(0,1,0):C.UVGC_264_275,(0,1,2):C.UVGC_264_276,(0,1,1):C.UVGC_264_277})

V_122 = CTVertex(name = 'V_122',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS1 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_233_189})

V_123 = CTVertex(name = 'V_123',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS2 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_232_188})

V_124 = CTVertex(name = 'V_124',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.G0 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS1 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_266_281})

V_125 = CTVertex(name = 'V_125',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.H ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS2 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_267_282})

V_126 = CTVertex(name = 'V_126',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.t, P.G__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFS3, L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_265_278,(0,0,2):C.UVGC_265_279,(0,0,1):C.UVGC_265_280,(0,1,0):C.UVGC_262_269,(0,1,2):C.UVGC_262_270,(0,1,1):C.UVGC_262_271})

V_127 = CTVertex(name = 'V_127',
                 type = 'UV',
                 particles = [ P.a, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_174_37,(0,1,0):C.UVGC_175_38})

V_128 = CTVertex(name = 'V_128',
                 type = 'UV',
                 particles = [ P.a, P.a, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_176_39})

V_129 = CTVertex(name = 'V_129',
                 type = 'UV',
                 particles = [ P.a, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_188_73,(0,1,0):C.UVGC_187_72})

V_130 = CTVertex(name = 'V_130',
                 type = 'UV',
                 particles = [ P.a, P.a, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_189_74})

V_131 = CTVertex(name = 'V_131',
                 type = 'UV',
                 particles = [ P.g, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'T(1,3,2)' ],
                 lorentz = [ L.VSS1, L.VSS3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_178_41,(0,0,1):C.UVGC_178_42,(0,0,2):C.UVGC_178_43,(0,0,3):C.UVGC_178_44,(0,0,5):C.UVGC_178_45,(0,0,6):C.UVGC_178_46,(0,0,4):C.UVGC_178_47,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,2):C.UVGC_165_24,(0,1,3):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27,(0,1,4):C.UVGC_177_40})

V_132 = CTVertex(name = 'V_132',
                 type = 'UV',
                 particles = [ P.a, P.g, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'T(2,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_179_48,(0,0,1):C.UVGC_179_49,(0,0,2):C.UVGC_179_50,(0,0,3):C.UVGC_179_51,(0,0,5):C.UVGC_179_52,(0,0,6):C.UVGC_179_53,(0,0,4):C.UVGC_179_54})

V_133 = CTVertex(name = 'V_133',
                 type = 'UV',
                 particles = [ P.g, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'T(1,3,2)' ],
                 lorentz = [ L.VSS2 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_178_41,(0,0,1):C.UVGC_178_42,(0,0,2):C.UVGC_178_43,(0,0,3):C.UVGC_178_44,(0,0,5):C.UVGC_178_45,(0,0,6):C.UVGC_178_46,(0,0,4):C.UVGC_178_47})

V_134 = CTVertex(name = 'V_134',
                 type = 'UV',
                 particles = [ P.a, P.g, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'T(2,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_191_75,(0,0,1):C.UVGC_191_76,(0,0,2):C.UVGC_191_77,(0,0,3):C.UVGC_191_78,(0,0,5):C.UVGC_191_79,(0,0,6):C.UVGC_191_80,(0,0,4):C.UVGC_191_81})

V_135 = CTVertex(name = 'V_135',
                 type = 'UV',
                 particles = [ P.g, P.g, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(2,0,0):C.UVGC_180_55,(2,0,1):C.UVGC_180_56,(2,0,2):C.UVGC_180_57,(2,0,3):C.UVGC_180_58,(2,0,5):C.UVGC_180_59,(2,0,6):C.UVGC_180_60,(2,0,4):C.UVGC_180_61,(1,0,0):C.UVGC_180_55,(1,0,1):C.UVGC_180_56,(1,0,2):C.UVGC_180_57,(1,0,3):C.UVGC_180_58,(1,0,5):C.UVGC_180_59,(1,0,6):C.UVGC_180_60,(1,0,4):C.UVGC_180_61,(0,0,2):C.UVGC_172_34,(0,0,4):C.UVGC_172_35})

V_136 = CTVertex(name = 'V_136',
                 type = 'UV',
                 particles = [ P.g, P.g, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'T(1,-1,3)*T(2,4,-1)', 'T(1,4,-1)*T(2,-1,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(2,0,0):C.UVGC_180_55,(2,0,1):C.UVGC_180_56,(2,0,2):C.UVGC_180_57,(2,0,3):C.UVGC_180_58,(2,0,5):C.UVGC_180_59,(2,0,6):C.UVGC_180_60,(2,0,4):C.UVGC_180_61,(1,0,0):C.UVGC_180_55,(1,0,1):C.UVGC_180_56,(1,0,2):C.UVGC_180_57,(1,0,3):C.UVGC_180_58,(1,0,5):C.UVGC_180_59,(1,0,6):C.UVGC_180_60,(1,0,4):C.UVGC_180_61,(0,0,2):C.UVGC_172_34,(0,0,4):C.UVGC_172_35})

V_137 = CTVertex(name = 'V_137',
                 type = 'UV',
                 particles = [ P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS2, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,1,1):C.UVGC_212_119,(0,1,2):C.UVGC_212_120,(0,0,0):C.UVGC_148_5,(0,2,3):C.UVGC_149_6})

V_138 = CTVertex(name = 'V_138',
                 type = 'UV',
                 particles = [ P.a, P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_213_121,(0,0,2):C.UVGC_213_122,(0,0,1):C.UVGC_213_123})

V_139 = CTVertex(name = 'V_139',
                 type = 'UV',
                 particles = [ P.g, P.W__minus__, P.R2tm13__star__, P.R2tp23 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_214_124,(0,0,1):C.UVGC_214_125,(0,0,2):C.UVGC_214_126,(0,0,3):C.UVGC_214_127,(0,0,6):C.UVGC_214_128,(0,0,7):C.UVGC_214_129,(0,0,4):C.UVGC_214_130,(0,0,5):C.UVGC_214_131})

V_140 = CTVertex(name = 'V_140',
                 type = 'UV',
                 particles = [ P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS1, L.VSS2, L.VSS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,1,1):C.UVGC_211_118,(0,1,2):C.UVGC_201_93,(0,0,0):C.UVGC_149_6,(0,2,3):C.UVGC_148_5})

V_141 = CTVertex(name = 'V_141',
                 type = 'UV',
                 particles = [ P.a, P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_213_121,(0,0,2):C.UVGC_213_122,(0,0,1):C.UVGC_213_123})

V_142 = CTVertex(name = 'V_142',
                 type = 'UV',
                 particles = [ P.g, P.W__plus__, P.R2tm13, P.R2tp23__star__ ],
                 color = [ 'T(1,3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_214_124,(0,0,1):C.UVGC_214_125,(0,0,2):C.UVGC_214_126,(0,0,3):C.UVGC_214_127,(0,0,6):C.UVGC_214_128,(0,0,7):C.UVGC_214_129,(0,0,4):C.UVGC_214_130,(0,0,5):C.UVGC_214_131})

V_143 = CTVertex(name = 'V_143',
                 type = 'UV',
                 particles = [ P.W__minus__, P.W__plus__, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_209_115,(0,0,2):C.UVGC_209_116,(0,0,1):C.UVGC_209_117})

V_144 = CTVertex(name = 'V_144',
                 type = 'UV',
                 particles = [ P.W__minus__, P.W__plus__, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_209_116,(0,0,2):C.UVGC_209_115,(0,0,1):C.UVGC_209_117})

V_145 = CTVertex(name = 'V_145',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.d, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_202_94,(0,0,2):C.UVGC_202_95,(0,0,1):C.UVGC_202_96})

V_146 = CTVertex(name = 'V_146',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.ve, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_202_94,(0,0,2):C.UVGC_202_95,(0,0,1):C.UVGC_202_96})

V_147 = CTVertex(name = 'V_147',
                 type = 'UV',
                 particles = [ P.e__plus__, P.d, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_205_103,(0,0,2):C.UVGC_205_104,(0,0,1):C.UVGC_205_105})

V_148 = CTVertex(name = 'V_148',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.e__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_205_103,(0,0,2):C.UVGC_205_104,(0,0,1):C.UVGC_205_105})

V_149 = CTVertex(name = 'V_149',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.d, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_203_97,(0,0,2):C.UVGC_203_98,(0,0,1):C.UVGC_203_99})

V_150 = CTVertex(name = 'V_150',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.vm, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_203_97,(0,0,2):C.UVGC_203_98,(0,0,1):C.UVGC_203_99})

V_151 = CTVertex(name = 'V_151',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.d, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_206_106,(0,0,2):C.UVGC_206_107,(0,0,1):C.UVGC_206_108})

V_152 = CTVertex(name = 'V_152',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.mu__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_206_106,(0,0,2):C.UVGC_206_107,(0,0,1):C.UVGC_206_108})

V_153 = CTVertex(name = 'V_153',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.d, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_204_100,(0,0,2):C.UVGC_204_101,(0,0,1):C.UVGC_204_102})

V_154 = CTVertex(name = 'V_154',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.vt, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_204_100,(0,0,2):C.UVGC_204_101,(0,0,1):C.UVGC_204_102})

V_155 = CTVertex(name = 'V_155',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.d, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_207_109,(0,0,2):C.UVGC_207_110,(0,0,1):C.UVGC_207_111})

V_156 = CTVertex(name = 'V_156',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.ta__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.d, P.g] ], [ [P.d, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_207_109,(0,0,2):C.UVGC_207_110,(0,0,1):C.UVGC_207_111})

V_157 = CTVertex(name = 'V_157',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.s, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_215_132,(0,0,2):C.UVGC_215_133,(0,0,1):C.UVGC_215_134})

V_158 = CTVertex(name = 'V_158',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.ve, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_215_132,(0,0,2):C.UVGC_215_133,(0,0,1):C.UVGC_215_134})

V_159 = CTVertex(name = 'V_159',
                 type = 'UV',
                 particles = [ P.e__plus__, P.s, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_218_141,(0,0,2):C.UVGC_218_142,(0,0,1):C.UVGC_218_143})

V_160 = CTVertex(name = 'V_160',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.e__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_218_141,(0,0,2):C.UVGC_218_142,(0,0,1):C.UVGC_218_143})

V_161 = CTVertex(name = 'V_161',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.s, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_216_135,(0,0,2):C.UVGC_216_136,(0,0,1):C.UVGC_216_137})

V_162 = CTVertex(name = 'V_162',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.vm, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_216_135,(0,0,2):C.UVGC_216_136,(0,0,1):C.UVGC_216_137})

V_163 = CTVertex(name = 'V_163',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.s, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_219_144,(0,0,2):C.UVGC_219_145,(0,0,1):C.UVGC_219_146})

V_164 = CTVertex(name = 'V_164',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.mu__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_219_144,(0,0,2):C.UVGC_219_145,(0,0,1):C.UVGC_219_146})

V_165 = CTVertex(name = 'V_165',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.s, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_217_138,(0,0,2):C.UVGC_217_139,(0,0,1):C.UVGC_217_140})

V_166 = CTVertex(name = 'V_166',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.vt, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_217_138,(0,0,2):C.UVGC_217_139,(0,0,1):C.UVGC_217_140})

V_167 = CTVertex(name = 'V_167',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.s, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_220_147,(0,0,2):C.UVGC_220_148,(0,0,1):C.UVGC_220_149})

V_168 = CTVertex(name = 'V_168',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.ta__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.s] ], [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_220_147,(0,0,2):C.UVGC_220_148,(0,0,1):C.UVGC_220_149})

V_169 = CTVertex(name = 'V_169',
                 type = 'UV',
                 particles = [ P.ve__tilde__, P.b, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_235_193,(0,0,2):C.UVGC_235_194,(0,0,1):C.UVGC_235_195})

V_170 = CTVertex(name = 'V_170',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.ve, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_235_193,(0,0,2):C.UVGC_235_194,(0,0,1):C.UVGC_235_195})

V_171 = CTVertex(name = 'V_171',
                 type = 'UV',
                 particles = [ P.e__plus__, P.b, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_234_190,(0,0,2):C.UVGC_234_191,(0,0,1):C.UVGC_234_192})

V_172 = CTVertex(name = 'V_172',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.e__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_234_190,(0,0,2):C.UVGC_234_191,(0,0,1):C.UVGC_234_192})

V_173 = CTVertex(name = 'V_173',
                 type = 'UV',
                 particles = [ P.vm__tilde__, P.b, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_237_199,(0,0,2):C.UVGC_237_200,(0,0,1):C.UVGC_237_201})

V_174 = CTVertex(name = 'V_174',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.vm, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_237_199,(0,0,2):C.UVGC_237_200,(0,0,1):C.UVGC_237_201})

V_175 = CTVertex(name = 'V_175',
                 type = 'UV',
                 particles = [ P.mu__plus__, P.b, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_236_196,(0,0,2):C.UVGC_236_197,(0,0,1):C.UVGC_236_198})

V_176 = CTVertex(name = 'V_176',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.mu__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_236_196,(0,0,2):C.UVGC_236_197,(0,0,1):C.UVGC_236_198})

V_177 = CTVertex(name = 'V_177',
                 type = 'UV',
                 particles = [ P.vt__tilde__, P.b, P.R2tm13__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_239_205,(0,0,2):C.UVGC_239_206,(0,0,1):C.UVGC_239_207})

V_178 = CTVertex(name = 'V_178',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.vt, P.R2tm13 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tm13] ], [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_239_205,(0,0,2):C.UVGC_239_206,(0,0,1):C.UVGC_239_207})

V_179 = CTVertex(name = 'V_179',
                 type = 'UV',
                 particles = [ P.ta__plus__, P.b, P.R2tp23__star__ ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.FFS3 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_238_202,(0,0,2):C.UVGC_238_203,(0,0,1):C.UVGC_238_204})

V_180 = CTVertex(name = 'V_180',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.ta__minus__, P.R2tp23 ],
                 color = [ 'Identity(1,3)' ],
                 lorentz = [ L.FFS4 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_238_202,(0,0,2):C.UVGC_238_203,(0,0,1):C.UVGC_238_204})

V_181 = CTVertex(name = 'V_181',
                 type = 'UV',
                 particles = [ P.Z, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS2 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_181_62})

V_182 = CTVertex(name = 'V_182',
                 type = 'UV',
                 particles = [ P.a, P.Z, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_182_63})

V_183 = CTVertex(name = 'V_183',
                 type = 'UV',
                 particles = [ P.Z, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(2,3)' ],
                 lorentz = [ L.VSS2 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_193_82})

V_184 = CTVertex(name = 'V_184',
                 type = 'UV',
                 particles = [ P.a, P.Z, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_194_83})

V_185 = CTVertex(name = 'V_185',
                 type = 'UV',
                 particles = [ P.g, P.Z, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tm13] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_183_64,(0,0,1):C.UVGC_183_65,(0,0,2):C.UVGC_183_66,(0,0,3):C.UVGC_183_67,(0,0,5):C.UVGC_183_68,(0,0,6):C.UVGC_183_69,(0,0,4):C.UVGC_183_70})

V_186 = CTVertex(name = 'V_186',
                 type = 'UV',
                 particles = [ P.g, P.Z, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'T(1,4,3)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.R2tp23] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_195_84,(0,0,1):C.UVGC_195_85,(0,0,2):C.UVGC_195_86,(0,0,3):C.UVGC_195_87,(0,0,5):C.UVGC_195_88,(0,0,6):C.UVGC_195_89,(0,0,4):C.UVGC_195_90})

V_187 = CTVertex(name = 'V_187',
                 type = 'UV',
                 particles = [ P.W__minus__, P.Z, P.R2tm13__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_208_112,(0,0,2):C.UVGC_208_113,(0,0,1):C.UVGC_208_114})

V_188 = CTVertex(name = 'V_188',
                 type = 'UV',
                 particles = [ P.W__plus__, P.Z, P.R2tm13, P.R2tp23__star__ ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_208_112,(0,0,2):C.UVGC_208_113,(0,0,1):C.UVGC_208_114})

V_189 = CTVertex(name = 'V_189',
                 type = 'UV',
                 particles = [ P.Z, P.Z, P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ] ],
                 couplings = {(0,0,0):C.UVGC_184_71})

V_190 = CTVertex(name = 'V_190',
                 type = 'UV',
                 particles = [ P.Z, P.Z, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(3,4)' ],
                 lorentz = [ L.VVSS1 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_196_91})

V_191 = CTVertex(name = 'V_191',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_144_2})

V_192 = CTVertex(name = 'V_192',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV6 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_144_2,(0,1,0):C.UVGC_256_262})

V_193 = CTVertex(name = 'V_193',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_144_2})

V_194 = CTVertex(name = 'V_194',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV1, L.FFV6 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_147_4,(0,1,0):C.UVGC_227_183})

V_195 = CTVertex(name = 'V_195',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_147_4})

V_196 = CTVertex(name = 'V_196',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s, P.a ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV4 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_147_4})

V_197 = CTVertex(name = 'V_197',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV5, L.FFV6 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.c, P.g] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,2):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,3):C.UVGC_165_24,(0,1,4):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27})

V_198 = CTVertex(name = 'V_198',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV6 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.t] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,2):C.UVGC_165_24,(0,1,3):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27,(0,1,4):C.UVGC_257_263})

V_199 = CTVertex(name = 'V_199',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV5, L.FFV6 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.u] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,2):C.UVGC_165_24,(0,1,3):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27})

V_200 = CTVertex(name = 'V_200',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.b, P.g] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,1):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,2):C.UVGC_165_23,(0,1,3):C.UVGC_165_24,(0,1,4):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27,(0,1,1):C.UVGC_228_184,(0,2,0):C.UVGC_165_22,(0,2,2):C.UVGC_165_23,(0,2,3):C.UVGC_165_24,(0,2,4):C.UVGC_165_25,(0,2,5):C.UVGC_165_26,(0,2,6):C.UVGC_165_27,(0,2,1):C.UVGC_228_184})

V_201 = CTVertex(name = 'V_201',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.d, P.g] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,2):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,3):C.UVGC_165_24,(0,1,4):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27,(0,1,2):C.UVGC_170_33,(0,2,0):C.UVGC_165_22,(0,2,1):C.UVGC_165_23,(0,2,3):C.UVGC_165_24,(0,2,4):C.UVGC_165_25,(0,2,5):C.UVGC_165_26,(0,2,6):C.UVGC_165_27,(0,2,2):C.UVGC_170_33})

V_202 = CTVertex(name = 'V_202',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s, P.g ],
                 color = [ 'T(3,2,1)' ],
                 lorentz = [ L.FFV1, L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b] ], [ [P.c], [P.d], [P.s], [P.u] ], [ [P.g] ], [ [P.ghG] ], [ [P.g, P.s] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,0,4):C.UVGC_145_3,(0,1,0):C.UVGC_165_22,(0,1,1):C.UVGC_165_23,(0,1,2):C.UVGC_165_24,(0,1,3):C.UVGC_165_25,(0,1,5):C.UVGC_165_26,(0,1,6):C.UVGC_165_27,(0,1,4):C.UVGC_170_33,(0,2,0):C.UVGC_165_22,(0,2,1):C.UVGC_165_23,(0,2,2):C.UVGC_165_24,(0,2,3):C.UVGC_165_25,(0,2,5):C.UVGC_165_26,(0,2,6):C.UVGC_165_27,(0,2,4):C.UVGC_170_33})

V_203 = CTVertex(name = 'V_203',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.c, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g], [P.g, P.s] ], [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_201_92,(0,0,1):C.UVGC_201_93})

V_204 = CTVertex(name = 'V_204',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.t, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_259_265,(0,0,2):C.UVGC_259_266,(0,0,1):C.UVGC_201_93})

V_205 = CTVertex(name = 'V_205',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.u, P.W__minus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g], [P.g, P.u] ], [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_201_92,(0,0,1):C.UVGC_201_93})

V_206 = CTVertex(name = 'V_206',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.b, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.b, P.g] ], [ [P.b, P.g, P.t] ], [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_259_265,(0,0,2):C.UVGC_259_266,(0,0,1):C.UVGC_201_93})

V_207 = CTVertex(name = 'V_207',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.d, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.d, P.g], [P.g, P.u] ], [ [P.d, P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_201_92,(0,0,1):C.UVGC_201_93})

V_208 = CTVertex(name = 'V_208',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.s, P.W__plus__ ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2 ],
                 loop_particles = [ [ [P.c, P.g], [P.g, P.s] ], [ [P.c, P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_201_92,(0,0,1):C.UVGC_201_93})

V_209 = CTVertex(name = 'V_209',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_260_267,(0,1,0):C.UVGC_261_268})

V_210 = CTVertex(name = 'V_210',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b, P.Z ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FFV2, L.FFV3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_230_186,(0,1,0):C.UVGC_231_187})

V_211 = CTVertex(name = 'V_211',
                 type = 'UV',
                 particles = [ P.u__tilde__, P.u ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.g, P.u] ] ],
                 couplings = {(0,0,0):C.UVGC_143_1})

V_212 = CTVertex(name = 'V_212',
                 type = 'UV',
                 particles = [ P.c__tilde__, P.c ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.c, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_143_1})

V_213 = CTVertex(name = 'V_213',
                 type = 'UV',
                 particles = [ P.t__tilde__, P.t ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.g, P.t] ] ],
                 couplings = {(0,0,0):C.UVGC_258_264,(0,1,0):C.UVGC_255_261})

V_214 = CTVertex(name = 'V_214',
                 type = 'UV',
                 particles = [ P.d__tilde__, P.d ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.d, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_143_1})

V_215 = CTVertex(name = 'V_215',
                 type = 'UV',
                 particles = [ P.s__tilde__, P.s ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF4 ],
                 loop_particles = [ [ [P.g, P.s] ] ],
                 couplings = {(0,0,0):C.UVGC_143_1})

V_216 = CTVertex(name = 'V_216',
                 type = 'UV',
                 particles = [ P.b__tilde__, P.b ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.FF2, L.FF3 ],
                 loop_particles = [ [ [P.b, P.g] ] ],
                 couplings = {(0,0,0):C.UVGC_229_185,(0,1,0):C.UVGC_226_182})

V_217 = CTVertex(name = 'V_217',
                 type = 'UV',
                 particles = [ P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_241_210,(0,1,0):C.UVGC_173_36})

V_218 = CTVertex(name = 'V_218',
                 type = 'UV',
                 particles = [ P.R2tm13__star__, P.R2tm13 ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.SS1, L.SS2 ],
                 loop_particles = [ [ [P.g, P.R2tm13] ], [ [P.g, P.R2tp23] ] ],
                 couplings = {(0,0,0):C.UVGC_240_208,(0,0,1):C.UVGC_240_209,(0,1,0):C.UVGC_173_36})

V_219 = CTVertex(name = 'V_219',
                 type = 'UV',
                 particles = [ P.g, P.g ],
                 color = [ 'Identity(1,2)' ],
                 lorentz = [ L.VV1, L.VV5 ],
                 loop_particles = [ [ [P.b] ], [ [P.g] ], [ [P.ghG] ], [ [P.R2tm13], [P.R2tp23] ], [ [P.t] ] ],
                 couplings = {(0,1,0):C.UVGC_242_211,(0,1,3):C.UVGC_242_212,(0,1,4):C.UVGC_242_213,(0,0,1):C.UVGC_157_7,(0,0,2):C.UVGC_157_8})

V_220 = CTVertex(name = 'V_220',
                 type = 'UV',
                 particles = [ P.R2tp23__star__, P.R2tp23__star__, P.R2tp23, P.R2tp23 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tp23] ], [ [P.g] ], [ [P.g, P.R2tp23] ], [ [P.g, P.R2tp23, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.UVGC_222_150,(1,0,0):C.UVGC_223_156,(1,0,3):C.UVGC_222_152,(1,0,5):C.UVGC_223_157,(1,0,1):C.UVGC_223_158,(1,0,4):C.UVGC_223_159,(0,0,2):C.UVGC_222_150,(0,0,0):C.UVGC_223_156,(0,0,3):C.UVGC_222_152,(0,0,5):C.UVGC_223_157,(0,0,1):C.UVGC_223_158,(0,0,4):C.UVGC_223_159})

V_221 = CTVertex(name = 'V_221',
                 type = 'UV',
                 particles = [ P.R2tm13__star__, P.R2tm13, P.R2tp23__star__, P.R2tp23 ],
                 color = [ 'Identity(1,2)*Identity(3,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tm13], [P.a, P.g, P.R2tp23] ], [ [P.a, P.g, P.R2tm13, P.R2tp23] ], [ [P.g] ], [ [P.g, P.R2tm13], [P.g, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23] ], [ [P.g, P.R2tm13, P.R2tp23, P.W__plus__] ], [ [P.g, P.R2tm13, P.R2tp23, P.Z] ], [ [P.g, P.R2tm13, P.W__plus__], [P.g, P.R2tp23, P.W__plus__] ], [ [P.g, P.R2tm13, P.Z], [P.g, P.R2tp23, P.Z] ], [ [P.g, P.W__plus__] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,3):C.UVGC_225_170,(1,0,0):C.UVGC_225_171,(1,0,4):C.UVGC_225_172,(1,0,10):C.UVGC_225_173,(1,0,11):C.UVGC_225_174,(1,0,1):C.UVGC_225_175,(1,0,5):C.UVGC_225_176,(1,0,8):C.UVGC_225_177,(1,0,9):C.UVGC_225_178,(1,0,2):C.UVGC_225_179,(1,0,6):C.UVGC_225_180,(1,0,7):C.UVGC_225_181,(0,0,3):C.UVGC_224_160,(0,0,0):C.UVGC_222_151,(0,0,4):C.UVGC_224_161,(0,0,10):C.UVGC_224_162,(0,0,11):C.UVGC_224_163,(0,0,1):C.UVGC_222_154,(0,0,5):C.UVGC_224_164,(0,0,8):C.UVGC_224_165,(0,0,9):C.UVGC_224_166,(0,0,2):C.UVGC_224_167,(0,0,6):C.UVGC_224_168,(0,0,7):C.UVGC_224_169})

V_222 = CTVertex(name = 'V_222',
                 type = 'UV',
                 particles = [ P.R2tm13__star__, P.R2tm13__star__, P.R2tm13, P.R2tm13 ],
                 color = [ 'Identity(1,3)*Identity(2,4)', 'Identity(1,4)*Identity(2,3)' ],
                 lorentz = [ L.SSSS1 ],
                 loop_particles = [ [ [P.a, P.g] ], [ [P.a, P.g, P.R2tm13] ], [ [P.g] ], [ [P.g, P.R2tm13] ], [ [P.g, P.R2tm13, P.Z] ], [ [P.g, P.Z] ] ],
                 couplings = {(1,0,2):C.UVGC_222_150,(1,0,0):C.UVGC_222_151,(1,0,3):C.UVGC_222_152,(1,0,5):C.UVGC_222_153,(1,0,1):C.UVGC_222_154,(1,0,4):C.UVGC_222_155,(0,0,2):C.UVGC_222_150,(0,0,0):C.UVGC_222_151,(0,0,3):C.UVGC_222_152,(0,0,5):C.UVGC_222_153,(0,0,1):C.UVGC_222_154,(0,0,4):C.UVGC_222_155})

