# This file was automatically created by FeynRules 2.3.29
# Mathematica version: 8.0 for Mac OS X x86 (64-bit) (October 5, 2011)
# Date: Sun 3 Dec 2017 12:25:45


from object_library import all_couplings, Coupling

from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot



R2GC_102_1 = Coupling(name = 'R2GC_102_1',
                      value = '-(complex(0,1)*G**2)/(16.*cmath.pi**2)',
                      order = {'QCD':2})

R2GC_103_2 = Coupling(name = 'R2GC_103_2',
                      value = '(complex(0,1)*G**2)/(12.*cmath.pi**2)',
                      order = {'QCD':2})

R2GC_104_3 = Coupling(name = 'R2GC_104_3',
                      value = '-(ee*complex(0,1)*G**2)/(9.*cmath.pi**2)',
                      order = {'QCD':2,'QED':1})

R2GC_105_4 = Coupling(name = 'R2GC_105_4',
                      value = '-(complex(0,1)*G**3)/(6.*cmath.pi**2)',
                      order = {'QCD':3})

R2GC_106_5 = Coupling(name = 'R2GC_106_5',
                      value = '(ee*complex(0,1)*G**2*sw)/(9.*cw*cmath.pi**2)',
                      order = {'QCD':2,'QED':1})

R2GC_108_6 = Coupling(name = 'R2GC_108_6',
                      value = '(ee*complex(0,1)*G**2)/(18.*cmath.pi**2)',
                      order = {'QCD':2,'QED':1})

R2GC_110_7 = Coupling(name = 'R2GC_110_7',
                      value = '-(ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2)',
                      order = {'QCD':2,'QED':1})

R2GC_118_8 = Coupling(name = 'R2GC_118_8',
                      value = '-(complex(0,1)*G**2*MB**2)/(8.*cmath.pi**2)',
                      order = {'QCD':2})

R2GC_118_9 = Coupling(name = 'R2GC_118_9',
                      value = '-(complex(0,1)*G**2*MT**2)/(8.*cmath.pi**2)',
                      order = {'QCD':2})

R2GC_119_10 = Coupling(name = 'R2GC_119_10',
                       value = '-(complex(0,1)*G**2*MB*yb)/(8.*cmath.pi**2*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_119_11 = Coupling(name = 'R2GC_119_11',
                       value = '-(complex(0,1)*G**2*MT*yt)/(8.*cmath.pi**2*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_120_12 = Coupling(name = 'R2GC_120_12',
                       value = '-(complex(0,1)*G**2*yb**2)/(16.*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_120_13 = Coupling(name = 'R2GC_120_13',
                       value = '-(complex(0,1)*G**2*yt**2)/(16.*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_121_14 = Coupling(name = 'R2GC_121_14',
                       value = '(complex(0,1)*G**2)/(48.*cmath.pi**2)',
                       order = {'QCD':2})

R2GC_122_15 = Coupling(name = 'R2GC_122_15',
                       value = '(ee**2*complex(0,1)*G**2)/(216.*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_122_16 = Coupling(name = 'R2GC_122_16',
                       value = '(ee**2*complex(0,1)*G**2)/(54.*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_123_17 = Coupling(name = 'R2GC_123_17',
                       value = '-(ee*complex(0,1)*G**3)/(144.*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_123_18 = Coupling(name = 'R2GC_123_18',
                       value = '(ee*complex(0,1)*G**3)/(72.*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_124_19 = Coupling(name = 'R2GC_124_19',
                       value = '(cw*ee**2*complex(0,1)*G**2)/(288.*cmath.pi**2*sw) - (ee**2*complex(0,1)*G**2*sw)/(864.*cw*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_124_20 = Coupling(name = 'R2GC_124_20',
                       value = '(cw*ee**2*complex(0,1)*G**2)/(144.*cmath.pi**2*sw) - (5*ee**2*complex(0,1)*G**2*sw)/(432.*cw*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_125_21 = Coupling(name = 'R2GC_125_21',
                       value = '-(cw*ee*complex(0,1)*G**3)/(192.*cmath.pi**2*sw) + (ee*complex(0,1)*G**3*sw)/(576.*cw*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_125_22 = Coupling(name = 'R2GC_125_22',
                       value = '(cw*ee*complex(0,1)*G**3)/(192.*cmath.pi**2*sw) - (5*ee*complex(0,1)*G**3*sw)/(576.*cw*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_126_23 = Coupling(name = 'R2GC_126_23',
                       value = '(-3*cw*ee*complex(0,1)*G**3)/(64.*cmath.pi**2*sw) - (3*ee*complex(0,1)*G**3*sw)/(64.*cw*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_126_24 = Coupling(name = 'R2GC_126_24',
                       value = '(3*cw*ee*complex(0,1)*G**3)/(64.*cmath.pi**2*sw) + (3*ee*complex(0,1)*G**3*sw)/(64.*cw*cmath.pi**2)',
                       order = {'QCD':3,'QED':1})

R2GC_127_25 = Coupling(name = 'R2GC_127_25',
                       value = '(ee**2*complex(0,1)*G**2)/(288.*cmath.pi**2) + (cw**2*ee**2*complex(0,1)*G**2)/(192.*cmath.pi**2*sw**2) + (5*ee**2*complex(0,1)*G**2*sw**2)/(1728.*cw**2*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_127_26 = Coupling(name = 'R2GC_127_26',
                       value = '-(ee**2*complex(0,1)*G**2)/(288.*cmath.pi**2) + (cw**2*ee**2*complex(0,1)*G**2)/(192.*cmath.pi**2*sw**2) + (17*ee**2*complex(0,1)*G**2*sw**2)/(1728.*cw**2*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_128_27 = Coupling(name = 'R2GC_128_27',
                       value = '-(cw*ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_129_28 = Coupling(name = 'R2GC_129_28',
                       value = '(cw*ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_131_29 = Coupling(name = 'R2GC_131_29',
                       value = '-(complex(0,1)*G**2*yb**2)/(16.*cmath.pi**2) - (complex(0,1)*G**2*yt**2)/(16.*cmath.pi**2)',
                       order = {'QCD':2,'QED':2})

R2GC_132_30 = Coupling(name = 'R2GC_132_30',
                       value = '(ee**2*complex(0,1)*G**2)/(96.*cmath.pi**2*sw**2)',
                       order = {'QCD':2,'QED':2})

R2GC_147_31 = Coupling(name = 'R2GC_147_31',
                       value = '-G**4/(192.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_147_32 = Coupling(name = 'R2GC_147_32',
                       value = 'G**4/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_148_33 = Coupling(name = 'R2GC_148_33',
                       value = '-(complex(0,1)*G**4)/(192.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_148_34 = Coupling(name = 'R2GC_148_34',
                       value = '(complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_149_35 = Coupling(name = 'R2GC_149_35',
                       value = '(complex(0,1)*G**4)/(192.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_149_36 = Coupling(name = 'R2GC_149_36',
                       value = '-(complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_150_37 = Coupling(name = 'R2GC_150_37',
                       value = '-(complex(0,1)*G**4)/(48.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_151_38 = Coupling(name = 'R2GC_151_38',
                       value = '(complex(0,1)*G**4)/(288.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_151_39 = Coupling(name = 'R2GC_151_39',
                       value = '-(complex(0,1)*G**4)/(32.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_154_40 = Coupling(name = 'R2GC_154_40',
                       value = '-(complex(0,1)*G**4)/(16.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_154_41 = Coupling(name = 'R2GC_154_41',
                       value = '(complex(0,1)*G**4)/(4.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_155_42 = Coupling(name = 'R2GC_155_42',
                       value = '(-3*complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_155_43 = Coupling(name = 'R2GC_155_43',
                       value = '(-23*complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_158_44 = Coupling(name = 'R2GC_158_44',
                       value = '(-13*complex(0,1)*G**4)/(144.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_158_45 = Coupling(name = 'R2GC_158_45',
                       value = '(13*complex(0,1)*G**4)/(1728.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_159_46 = Coupling(name = 'R2GC_159_46',
                       value = '(13*complex(0,1)*G**4)/(384.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_160_47 = Coupling(name = 'R2GC_160_47',
                       value = '-(complex(0,1)*G**2)/(72.*cmath.pi**2)',
                       order = {'QCD':2})

R2GC_161_48 = Coupling(name = 'R2GC_161_48',
                       value = '(53*complex(0,1)*G**3)/(576.*cmath.pi**2)',
                       order = {'QCD':3})

R2GC_162_49 = Coupling(name = 'R2GC_162_49',
                       value = '(-3*complex(0,1)*G**4)/(32.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_162_50 = Coupling(name = 'R2GC_162_50',
                       value = '(-79*complex(0,1)*G**4)/(1152.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_167_51 = Coupling(name = 'R2GC_167_51',
                       value = '-(complex(0,1)*G**2*yLL2x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_168_52 = Coupling(name = 'R2GC_168_52',
                       value = '-(complex(0,1)*G**2*yLL2x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_169_53 = Coupling(name = 'R2GC_169_53',
                       value = '-(complex(0,1)*G**2*yLL2x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_170_54 = Coupling(name = 'R2GC_170_54',
                       value = '-(complex(0,1)*G**2*yRR2x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_171_55 = Coupling(name = 'R2GC_171_55',
                       value = '-(complex(0,1)*G**2*yRR2x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_172_56 = Coupling(name = 'R2GC_172_56',
                       value = '-(complex(0,1)*G**2*yRR2x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_173_57 = Coupling(name = 'R2GC_173_57',
                       value = '-(ee*complex(0,1)*G**2)/(6.*cmath.pi**2*sw*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_174_58 = Coupling(name = 'R2GC_174_58',
                       value = '(complex(0,1)*G**2*yLL1x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_175_59 = Coupling(name = 'R2GC_175_59',
                       value = '(complex(0,1)*G**2*yLL1x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_176_60 = Coupling(name = 'R2GC_176_60',
                       value = '(complex(0,1)*G**2*yLL1x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_177_61 = Coupling(name = 'R2GC_177_61',
                       value = '(complex(0,1)*G**2*yLL2x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_178_62 = Coupling(name = 'R2GC_178_62',
                       value = '(complex(0,1)*G**2*yLL2x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_179_63 = Coupling(name = 'R2GC_179_63',
                       value = '(complex(0,1)*G**2*yLL2x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_181_64 = Coupling(name = 'R2GC_181_64',
                       value = '-(complex(0,1)*G**2*yLL1x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_182_65 = Coupling(name = 'R2GC_182_65',
                       value = '-(complex(0,1)*G**2*yLL1x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_183_66 = Coupling(name = 'R2GC_183_66',
                       value = '-(complex(0,1)*G**2*yLL1x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_184_67 = Coupling(name = 'R2GC_184_67',
                       value = '-(complex(0,1)*G**2*yRR1x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_185_68 = Coupling(name = 'R2GC_185_68',
                       value = '-(complex(0,1)*G**2*yRR1x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_186_69 = Coupling(name = 'R2GC_186_69',
                       value = '-(complex(0,1)*G**2*yRR1x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_190_70 = Coupling(name = 'R2GC_190_70',
                       value = '(complex(0,1)*G**2*MB)/(6.*cmath.pi**2)',
                       order = {'QCD':2})

R2GC_193_71 = Coupling(name = 'R2GC_193_71',
                       value = '(complex(0,1)*G**2*yb)/(3.*cmath.pi**2*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_194_72 = Coupling(name = 'R2GC_194_72',
                       value = '-(G**2*yb)/(3.*cmath.pi**2*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_195_73 = Coupling(name = 'R2GC_195_73',
                       value = '(complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_196_74 = Coupling(name = 'R2GC_196_74',
                       value = '(complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_197_75 = Coupling(name = 'R2GC_197_75',
                       value = '(complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_198_76 = Coupling(name = 'R2GC_198_76',
                       value = '(complex(0,1)*G**2*MS1**2)/(24.*cmath.pi**2)',
                       order = {'QCD':2})

R2GC_200_77 = Coupling(name = 'R2GC_200_77',
                       value = 'G**3/(24.*cmath.pi**2)',
                       order = {'QCD':3})

R2GC_200_78 = Coupling(name = 'R2GC_200_78',
                       value = '(11*G**3)/(64.*cmath.pi**2)',
                       order = {'QCD':3})

R2GC_203_79 = Coupling(name = 'R2GC_203_79',
                       value = '-G**3/(24.*cmath.pi**2)',
                       order = {'QCD':3})

R2GC_203_80 = Coupling(name = 'R2GC_203_80',
                       value = '(-11*G**3)/(64.*cmath.pi**2)',
                       order = {'QCD':3})

R2GC_206_81 = Coupling(name = 'R2GC_206_81',
                       value = '(23*complex(0,1)*G**4)/(192.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_207_82 = Coupling(name = 'R2GC_207_82',
                       value = '(5*complex(0,1)*G**4)/(48.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_207_83 = Coupling(name = 'R2GC_207_83',
                       value = '(19*complex(0,1)*G**4)/(32.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_208_84 = Coupling(name = 'R2GC_208_84',
                       value = '(31*complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_209_85 = Coupling(name = 'R2GC_209_85',
                       value = '(-17*complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_210_86 = Coupling(name = 'R2GC_210_86',
                       value = '(-7*complex(0,1)*G**4)/(32.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_211_87 = Coupling(name = 'R2GC_211_87',
                       value = '(7*complex(0,1)*G**4)/(64.*cmath.pi**2)',
                       order = {'QCD':4})

R2GC_215_88 = Coupling(name = 'R2GC_215_88',
                       value = '(complex(0,1)*G**2*MT)/(6.*cmath.pi**2)',
                       order = {'QCD':2})

R2GC_219_89 = Coupling(name = 'R2GC_219_89',
                       value = '(G**2*yb)/(3.*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_220_90 = Coupling(name = 'R2GC_220_90',
                       value = '-(G**2*yb)/(3.*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_221_91 = Coupling(name = 'R2GC_221_91',
                       value = '-(complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_222_92 = Coupling(name = 'R2GC_222_92',
                       value = '-(complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_223_93 = Coupling(name = 'R2GC_223_93',
                       value = '-(complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_224_94 = Coupling(name = 'R2GC_224_94',
                       value = '-(complex(0,1)*G**2*yRR3x1)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_225_95 = Coupling(name = 'R2GC_225_95',
                       value = '-(complex(0,1)*G**2*yRR3x2)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_226_96 = Coupling(name = 'R2GC_226_96',
                       value = '-(complex(0,1)*G**2*yRR3x3)/(24.*cmath.pi**2)',
                       order = {'NP':1,'QCD':2})

R2GC_227_97 = Coupling(name = 'R2GC_227_97',
                       value = '(G**2*yt)/(3.*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_228_98 = Coupling(name = 'R2GC_228_98',
                       value = '-(G**2*yt)/(3.*cmath.pi**2)',
                       order = {'QCD':2,'QED':1})

R2GC_229_99 = Coupling(name = 'R2GC_229_99',
                       value = '(G**2*yt)/(3.*cmath.pi**2*cmath.sqrt(2))',
                       order = {'QCD':2,'QED':1})

R2GC_230_100 = Coupling(name = 'R2GC_230_100',
                        value = '(complex(0,1)*G**2*yt)/(3.*cmath.pi**2*cmath.sqrt(2))',
                        order = {'QCD':2,'QED':1})

UVGC_134_1 = Coupling(name = 'UVGC_134_1',
                      value = {-1:'-(complex(0,1)*G**2)/(12.*cmath.pi**2)'},
                      order = {'QCD':2})

UVGC_135_2 = Coupling(name = 'UVGC_135_2',
                      value = {-1:'-(ee*complex(0,1)*G**2)/(18.*cmath.pi**2)'},
                      order = {'QCD':2,'QED':1})

UVGC_136_3 = Coupling(name = 'UVGC_136_3',
                      value = {-1:'(-13*complex(0,1)*G**3)/(48.*cmath.pi**2)'},
                      order = {'QCD':3})

UVGC_138_4 = Coupling(name = 'UVGC_138_4',
                      value = {-1:'(ee*complex(0,1)*G**2)/(36.*cmath.pi**2)'},
                      order = {'QCD':2,'QED':1})

UVGC_145_5 = Coupling(name = 'UVGC_145_5',
                      value = {-1:'(3*complex(0,1)*G**2)/(64.*cmath.pi**2)'},
                      order = {'QCD':2})

UVGC_145_6 = Coupling(name = 'UVGC_145_6',
                      value = {-1:'(-3*complex(0,1)*G**2)/(64.*cmath.pi**2)'},
                      order = {'QCD':2})

UVGC_146_7 = Coupling(name = 'UVGC_146_7',
                      value = {-1:'(9*G**3)/(128.*cmath.pi**2)'},
                      order = {'QCD':3})

UVGC_146_8 = Coupling(name = 'UVGC_146_8',
                      value = {-1:'-G**3/(128.*cmath.pi**2)'},
                      order = {'QCD':3})

UVGC_147_9 = Coupling(name = 'UVGC_147_9',
                      value = {-1:'(3*G**4)/(512.*cmath.pi**2)'},
                      order = {'QCD':4})

UVGC_147_10 = Coupling(name = 'UVGC_147_10',
                       value = {-1:'(-3*G**4)/(512.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_148_11 = Coupling(name = 'UVGC_148_11',
                       value = {-1:'(3*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_148_12 = Coupling(name = 'UVGC_148_12',
                       value = {-1:'(-3*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_150_13 = Coupling(name = 'UVGC_150_13',
                       value = {-1:'-(complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_150_14 = Coupling(name = 'UVGC_150_14',
                       value = {-1:'(complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_151_15 = Coupling(name = 'UVGC_151_15',
                       value = {-1:'(-3*complex(0,1)*G**4)/(256.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_151_16 = Coupling(name = 'UVGC_151_16',
                       value = {-1:'(3*complex(0,1)*G**4)/(256.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_152_17 = Coupling(name = 'UVGC_152_17',
                       value = {-1:'(-9*G**3)/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_152_18 = Coupling(name = 'UVGC_152_18',
                       value = {-1:'G**3/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_152_19 = Coupling(name = 'UVGC_152_19',
                       value = {-1:'G**3/(96.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_153_20 = Coupling(name = 'UVGC_153_20',
                       value = {-1:'( 0 if MB else (complex(0,1)*G**3)/(48.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_153_21 = Coupling(name = 'UVGC_153_21',
                       value = {-1:'(complex(0,1)*G**3)/(48.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_153_22 = Coupling(name = 'UVGC_153_22',
                       value = {-1:'(-19*complex(0,1)*G**3)/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_153_23 = Coupling(name = 'UVGC_153_23',
                       value = {-1:'-(complex(0,1)*G**3)/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_153_24 = Coupling(name = 'UVGC_153_24',
                       value = {-1:'( 0 if MS1 else (complex(0,1)*G**3)/(192.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_153_25 = Coupling(name = 'UVGC_153_25',
                       value = {-1:'( 0 if MT else (complex(0,1)*G**3)/(48.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_154_26 = Coupling(name = 'UVGC_154_26',
                       value = {-1:'-(complex(0,1)*G**4)/(24.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_154_27 = Coupling(name = 'UVGC_154_27',
                       value = {-1:'(47*complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_154_28 = Coupling(name = 'UVGC_154_28',
                       value = {-1:'(complex(0,1)*G**4)/(48.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_155_29 = Coupling(name = 'UVGC_155_29',
                       value = {-1:'(-253*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_155_30 = Coupling(name = 'UVGC_155_30',
                       value = {-1:'(5*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_158_31 = Coupling(name = 'UVGC_158_31',
                       value = {-1:'(-13*complex(0,1)*G**4)/(72.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_158_32 = Coupling(name = 'UVGC_158_32',
                       value = {-1:'(13*complex(0,1)*G**4)/(288.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_159_33 = Coupling(name = 'UVGC_159_33',
                       value = {-1:'(-3*complex(0,1)*G**4)/(64.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_159_34 = Coupling(name = 'UVGC_159_34',
                       value = {-1:'(3*complex(0,1)*G**4)/(64.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_160_35 = Coupling(name = 'UVGC_160_35',
                       value = {-1:'( -(complex(0,1)*G**2)/(6.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2)/(6.*cmath.pi**2) ) + (complex(0,1)*G**2)/(6.*cmath.pi**2)',0:'( (complex(0,1)*G**2)/(72.*cmath.pi**2) if MS1 else (complex(0,1)*G**2)/(72.*cmath.pi**2) ) - (complex(0,1)*G**2)/(72.*cmath.pi**2)'},
                       order = {'QCD':2})

UVGC_161_36 = Coupling(name = 'UVGC_161_36',
                       value = {-1:'( 0 if MB else -(complex(0,1)*G**3)/(48.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_161_37 = Coupling(name = 'UVGC_161_37',
                       value = {-1:'-(complex(0,1)*G**3)/(48.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_161_38 = Coupling(name = 'UVGC_161_38',
                       value = {-1:'(19*complex(0,1)*G**3)/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_161_39 = Coupling(name = 'UVGC_161_39',
                       value = {-1:'(complex(0,1)*G**3)/(128.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_161_40 = Coupling(name = 'UVGC_161_40',
                       value = {-1:'( 0 if MS1 else -(complex(0,1)*G**3)/(192.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_161_41 = Coupling(name = 'UVGC_161_41',
                       value = {-1:'( 0 if MT else -(complex(0,1)*G**3)/(48.*cmath.pi**2) )'},
                       order = {'QCD':3})

UVGC_161_42 = Coupling(name = 'UVGC_161_42',
                       value = {-1:'( (complex(0,1)*G**3)/(6.*cmath.pi**2) if MS1 else (complex(0,1)*G**3)/(6.*cmath.pi**2) ) + (complex(0,1)*G**3)/(48.*cmath.pi**2)',0:'( -(complex(0,1)*G**3)/(72.*cmath.pi**2) if MS1 else -(complex(0,1)*G**3)/(72.*cmath.pi**2) ) + (complex(0,1)*G**3)/(72.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_162_43 = Coupling(name = 'UVGC_162_43',
                       value = {-1:'( 0 if MB else (complex(0,1)*G**4)/(24.*cmath.pi**2) )'},
                       order = {'QCD':4})

UVGC_162_44 = Coupling(name = 'UVGC_162_44',
                       value = {-1:'(complex(0,1)*G**4)/(24.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_162_45 = Coupling(name = 'UVGC_162_45',
                       value = {-1:'(-7*complex(0,1)*G**4)/(16.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_162_46 = Coupling(name = 'UVGC_162_46',
                       value = {-1:'-(complex(0,1)*G**4)/(64.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_162_47 = Coupling(name = 'UVGC_162_47',
                       value = {-1:'( 0 if MS1 else (complex(0,1)*G**4)/(96.*cmath.pi**2) )'},
                       order = {'QCD':4})

UVGC_162_48 = Coupling(name = 'UVGC_162_48',
                       value = {-1:'( 0 if MT else (complex(0,1)*G**4)/(24.*cmath.pi**2) )'},
                       order = {'QCD':4})

UVGC_162_49 = Coupling(name = 'UVGC_162_49',
                       value = {-1:'( -(complex(0,1)*G**4)/(6.*cmath.pi**2) if MS1 else -(complex(0,1)*G**4)/(6.*cmath.pi**2) ) - (13*complex(0,1)*G**4)/(192.*cmath.pi**2)',0:'( (complex(0,1)*G**4)/(72.*cmath.pi**2) if MS1 else (complex(0,1)*G**4)/(72.*cmath.pi**2) ) - (complex(0,1)*G**4)/(72.*cmath.pi**2)'},
                       order = {'QCD':4})

UVGC_163_50 = Coupling(name = 'UVGC_163_50',
                       value = {-1:'(complex(0,1)*G**3)/(12.*cmath.pi**2)'},
                       order = {'QCD':3})

UVGC_167_51 = Coupling(name = 'UVGC_167_51',
                       value = {-1:'(complex(0,1)*G**2*yLL2x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_167_52 = Coupling(name = 'UVGC_167_52',
                       value = {-1:'( -(complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_167_53 = Coupling(name = 'UVGC_167_53',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_168_54 = Coupling(name = 'UVGC_168_54',
                       value = {-1:'(complex(0,1)*G**2*yLL2x2)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_168_55 = Coupling(name = 'UVGC_168_55',
                       value = {-1:'( -(complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_168_56 = Coupling(name = 'UVGC_168_56',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_169_57 = Coupling(name = 'UVGC_169_57',
                       value = {-1:'(complex(0,1)*G**2*yLL2x3)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_169_58 = Coupling(name = 'UVGC_169_58',
                       value = {-1:'( -(complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_169_59 = Coupling(name = 'UVGC_169_59',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_170_60 = Coupling(name = 'UVGC_170_60',
                       value = {-1:'(complex(0,1)*G**2*yRR2x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_170_61 = Coupling(name = 'UVGC_170_61',
                       value = {-1:'( -(complex(0,1)*G**2*yRR2x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR2x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR2x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR2x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR2x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_170_62 = Coupling(name = 'UVGC_170_62',
                       value = {-1:'-(complex(0,1)*G**2*yRR2x1)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_171_63 = Coupling(name = 'UVGC_171_63',
                       value = {-1:'(complex(0,1)*G**2*yRR2x2)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_171_64 = Coupling(name = 'UVGC_171_64',
                       value = {-1:'( -(complex(0,1)*G**2*yRR2x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR2x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR2x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR2x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR2x2)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_171_65 = Coupling(name = 'UVGC_171_65',
                       value = {-1:'-(complex(0,1)*G**2*yRR2x2)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_172_66 = Coupling(name = 'UVGC_172_66',
                       value = {-1:'(complex(0,1)*G**2*yRR2x3)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_172_67 = Coupling(name = 'UVGC_172_67',
                       value = {-1:'( -(complex(0,1)*G**2*yRR2x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR2x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR2x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR2x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR2x3)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_172_68 = Coupling(name = 'UVGC_172_68',
                       value = {-1:'-(complex(0,1)*G**2*yRR2x3)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_173_69 = Coupling(name = 'UVGC_173_69',
                       value = {-1:'(ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2))'},
                       order = {'QCD':2,'QED':1})

UVGC_173_70 = Coupling(name = 'UVGC_173_70',
                       value = {-1:'-(ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw*cmath.sqrt(2))'},
                       order = {'QCD':2,'QED':1})

UVGC_174_71 = Coupling(name = 'UVGC_174_71',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_174_72 = Coupling(name = 'UVGC_174_72',
                       value = {-1:'( (complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_174_73 = Coupling(name = 'UVGC_174_73',
                       value = {-1:'(complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_175_74 = Coupling(name = 'UVGC_175_74',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x2)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_175_75 = Coupling(name = 'UVGC_175_75',
                       value = {-1:'( (complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_175_76 = Coupling(name = 'UVGC_175_76',
                       value = {-1:'(complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_176_77 = Coupling(name = 'UVGC_176_77',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x3)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_176_78 = Coupling(name = 'UVGC_176_78',
                       value = {-1:'( (complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_176_79 = Coupling(name = 'UVGC_176_79',
                       value = {-1:'(complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_177_80 = Coupling(name = 'UVGC_177_80',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_177_81 = Coupling(name = 'UVGC_177_81',
                       value = {-1:'( (complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL2x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_177_82 = Coupling(name = 'UVGC_177_82',
                       value = {-1:'(complex(0,1)*G**2*yLL2x1)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_178_83 = Coupling(name = 'UVGC_178_83',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x2)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_178_84 = Coupling(name = 'UVGC_178_84',
                       value = {-1:'( (complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL2x2)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_178_85 = Coupling(name = 'UVGC_178_85',
                       value = {-1:'(complex(0,1)*G**2*yLL2x2)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_179_86 = Coupling(name = 'UVGC_179_86',
                       value = {-1:'-(complex(0,1)*G**2*yLL2x3)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_179_87 = Coupling(name = 'UVGC_179_87',
                       value = {-1:'( (complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL2x3)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_179_88 = Coupling(name = 'UVGC_179_88',
                       value = {-1:'(complex(0,1)*G**2*yLL2x3)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_181_89 = Coupling(name = 'UVGC_181_89',
                       value = {-1:'( -(complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL1x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_181_90 = Coupling(name = 'UVGC_181_90',
                       value = {-1:'(complex(0,1)*G**2*yLL1x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_181_91 = Coupling(name = 'UVGC_181_91',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x1)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_182_92 = Coupling(name = 'UVGC_182_92',
                       value = {-1:'( -(complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL1x2)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_182_93 = Coupling(name = 'UVGC_182_93',
                       value = {-1:'(complex(0,1)*G**2*yLL1x2)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_182_94 = Coupling(name = 'UVGC_182_94',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x2)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_183_95 = Coupling(name = 'UVGC_183_95',
                       value = {-1:'( -(complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL1x3)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_183_96 = Coupling(name = 'UVGC_183_96',
                       value = {-1:'(complex(0,1)*G**2*yLL1x3)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_183_97 = Coupling(name = 'UVGC_183_97',
                       value = {-1:'-(complex(0,1)*G**2*yLL1x3)/(12.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_184_98 = Coupling(name = 'UVGC_184_98',
                       value = {-1:'( -(complex(0,1)*G**2*yRR1x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR1x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR1x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR1x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR1x1)/(144.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_184_99 = Coupling(name = 'UVGC_184_99',
                       value = {-1:'(complex(0,1)*G**2*yRR1x1)/(24.*cmath.pi**2)'},
                       order = {'NP':1,'QCD':2})

UVGC_184_100 = Coupling(name = 'UVGC_184_100',
                        value = {-1:'-(complex(0,1)*G**2*yRR1x1)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_185_101 = Coupling(name = 'UVGC_185_101',
                        value = {-1:'( -(complex(0,1)*G**2*yRR1x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR1x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR1x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR1x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR1x2)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_185_102 = Coupling(name = 'UVGC_185_102',
                        value = {-1:'(complex(0,1)*G**2*yRR1x2)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_185_103 = Coupling(name = 'UVGC_185_103',
                        value = {-1:'-(complex(0,1)*G**2*yRR1x2)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_186_104 = Coupling(name = 'UVGC_186_104',
                        value = {-1:'( -(complex(0,1)*G**2*yRR1x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR1x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR1x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR1x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR1x3)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_186_105 = Coupling(name = 'UVGC_186_105',
                        value = {-1:'(complex(0,1)*G**2*yRR1x3)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_186_106 = Coupling(name = 'UVGC_186_106',
                        value = {-1:'-(complex(0,1)*G**2*yRR1x3)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_187_107 = Coupling(name = 'UVGC_187_107',
                        value = {-1:'( (complex(0,1)*G**2)/(6.*cmath.pi**2) if MB else -(complex(0,1)*G**2)/(12.*cmath.pi**2) ) + (complex(0,1)*G**2)/(12.*cmath.pi**2)',0:'( (5*complex(0,1)*G**2)/(12.*cmath.pi**2) - (complex(0,1)*G**2*reglog(MB/MU_R))/(2.*cmath.pi**2) if MB else (complex(0,1)*G**2)/(12.*cmath.pi**2) ) - (complex(0,1)*G**2)/(12.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_188_108 = Coupling(name = 'UVGC_188_108',
                        value = {-1:'( (ee*complex(0,1)*G**2)/(18.*cmath.pi**2) if MB else -(ee*complex(0,1)*G**2)/(36.*cmath.pi**2) )',0:'( (5*ee*complex(0,1)*G**2)/(36.*cmath.pi**2) - (ee*complex(0,1)*G**2*reglog(MB/MU_R))/(6.*cmath.pi**2) if MB else (ee*complex(0,1)*G**2)/(36.*cmath.pi**2) ) - (ee*complex(0,1)*G**2)/(36.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_189_109 = Coupling(name = 'UVGC_189_109',
                        value = {-1:'( -(complex(0,1)*G**3)/(6.*cmath.pi**2) if MB else (complex(0,1)*G**3)/(12.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**3)/(12.*cmath.pi**2) + (complex(0,1)*G**3*reglog(MB/MU_R))/(2.*cmath.pi**2) if MB else -(complex(0,1)*G**3)/(12.*cmath.pi**2) ) + (complex(0,1)*G**3)/(12.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_190_110 = Coupling(name = 'UVGC_190_110',
                        value = {-1:'( (complex(0,1)*G**2*MB)/(6.*cmath.pi**2) if MB else -(complex(0,1)*G**2*MB)/(12.*cmath.pi**2) ) + (complex(0,1)*G**2*MB)/(3.*cmath.pi**2)',0:'( (3*complex(0,1)*G**2*MB)/(4.*cmath.pi**2) - (complex(0,1)*G**2*MB*reglog(MB/MU_R))/cmath.pi**2 if MB else (complex(0,1)*G**2*MB)/(12.*cmath.pi**2) ) - (complex(0,1)*G**2*MB)/(12.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_191_111 = Coupling(name = 'UVGC_191_111',
                        value = {-1:'( (cw*ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2) if MB else -(cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) ) + (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2)',0:'( (5*cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (5*ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) - (cw*ee*complex(0,1)*G**2*reglog(MB/MU_R))/(4.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw*reglog(MB/MU_R))/(12.*cw*cmath.pi**2) if MB else (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) ) - (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_192_112 = Coupling(name = 'UVGC_192_112',
                        value = {-1:'( -(ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2) if MB else (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2) ) - (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2)',0:'( (-5*ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2) + (ee*complex(0,1)*G**2*sw*reglog(MB/MU_R))/(6.*cw*cmath.pi**2) if MB else -(ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2) ) + (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_193_113 = Coupling(name = 'UVGC_193_113',
                        value = {-1:'( (complex(0,1)*G**2*yb)/(6.*cmath.pi**2*cmath.sqrt(2)) if MB else -(complex(0,1)*G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2)) ) + (complex(0,1)*G**2*yb)/(3.*cmath.pi**2*cmath.sqrt(2))',0:'( (3*complex(0,1)*G**2*yb)/(4.*cmath.pi**2*cmath.sqrt(2)) - (complex(0,1)*G**2*yb*reglog(MB/MU_R))/(cmath.pi**2*cmath.sqrt(2)) if MB else (complex(0,1)*G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2)) ) - (complex(0,1)*G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

UVGC_194_114 = Coupling(name = 'UVGC_194_114',
                        value = {-1:'( -(G**2*yb)/(6.*cmath.pi**2*cmath.sqrt(2)) if MB else (G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2)) ) - (G**2*yb)/(3.*cmath.pi**2*cmath.sqrt(2))',0:'( (-3*G**2*yb)/(4.*cmath.pi**2*cmath.sqrt(2)) + (G**2*yb*reglog(MB/MU_R))/(cmath.pi**2*cmath.sqrt(2)) if MB else -(G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2)) ) + (G**2*yb)/(12.*cmath.pi**2*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

UVGC_195_115 = Coupling(name = 'UVGC_195_115',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) if MB else -(complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) )',0:'( (5*complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) - (complex(0,1)*G**2*yLL3x1*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else (complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_195_116 = Coupling(name = 'UVGC_195_116',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_195_117 = Coupling(name = 'UVGC_195_117',
                        value = {-1:'(complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_196_118 = Coupling(name = 'UVGC_196_118',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) if MB else -(complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) )',0:'( (5*complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) - (complex(0,1)*G**2*yLL3x2*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else (complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_196_119 = Coupling(name = 'UVGC_196_119',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_196_120 = Coupling(name = 'UVGC_196_120',
                        value = {-1:'(complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_197_121 = Coupling(name = 'UVGC_197_121',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) if MB else -(complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) )',0:'( (5*complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) - (complex(0,1)*G**2*yLL3x3*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else (complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_197_122 = Coupling(name = 'UVGC_197_122',
                        value = {-1:'( (complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_197_123 = Coupling(name = 'UVGC_197_123',
                        value = {-1:'(complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_198_124 = Coupling(name = 'UVGC_198_124',
                        value = {-1:'( (complex(0,1)*G**2*MS1**2)/(6.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*MS1**2)/(6.*cmath.pi**2) ) + (complex(0,1)*G**2*MS1**2)/(12.*cmath.pi**2)',0:'( (41*complex(0,1)*G**2*MS1**2)/(72.*cmath.pi**2) - (complex(0,1)*G**2*MS1**2*reglog(MS1/MU_R))/(2.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*MS1**2)/(72.*cmath.pi**2) ) + (complex(0,1)*G**2*MS1**2)/(72.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_199_125 = Coupling(name = 'UVGC_199_125',
                        value = {-1:'( 0 if MB else (complex(0,1)*G**2)/(24.*cmath.pi**2) ) - (complex(0,1)*G**2)/(24.*cmath.pi**2)',0:'( (complex(0,1)*G**2*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':2})

UVGC_199_126 = Coupling(name = 'UVGC_199_126',
                        value = {-1:'( 0 if MS1 else (complex(0,1)*G**2)/(96.*cmath.pi**2) ) - (complex(0,1)*G**2)/(96.*cmath.pi**2)',0:'( (complex(0,1)*G**2)/(96.*cmath.pi**2) + (complex(0,1)*G**2*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else (complex(0,1)*G**2)/(96.*cmath.pi**2) ) - (complex(0,1)*G**2)/(96.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_199_127 = Coupling(name = 'UVGC_199_127',
                        value = {-1:'( 0 if MT else (complex(0,1)*G**2)/(24.*cmath.pi**2) ) - (complex(0,1)*G**2)/(24.*cmath.pi**2)',0:'( (complex(0,1)*G**2*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':2})

UVGC_200_128 = Coupling(name = 'UVGC_200_128',
                        value = {-1:'( 0 if MB else -G**3/(16.*cmath.pi**2) ) + G**3/(24.*cmath.pi**2)',0:'( -(G**3*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':3})

UVGC_200_129 = Coupling(name = 'UVGC_200_129',
                        value = {-1:'-G**3/(48.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_200_130 = Coupling(name = 'UVGC_200_130',
                        value = {-1:'(51*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_200_131 = Coupling(name = 'UVGC_200_131',
                        value = {-1:'( 0 if MS1 else -G**3/(64.*cmath.pi**2) ) + G**3/(96.*cmath.pi**2)',0:'( -G**3/(96.*cmath.pi**2) - (G**3*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else -G**3/(96.*cmath.pi**2) ) + G**3/(96.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_200_132 = Coupling(name = 'UVGC_200_132',
                        value = {-1:'( 0 if MT else -G**3/(16.*cmath.pi**2) ) + G**3/(24.*cmath.pi**2)',0:'( -(G**3*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':3})

UVGC_201_133 = Coupling(name = 'UVGC_201_133',
                        value = {-1:'(21*G**3)/(64.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_201_134 = Coupling(name = 'UVGC_201_134',
                        value = {-1:'G**3/(64.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_202_135 = Coupling(name = 'UVGC_202_135',
                        value = {-1:'(33*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_202_136 = Coupling(name = 'UVGC_202_136',
                        value = {-1:'(3*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_202_137 = Coupling(name = 'UVGC_202_137',
                        value = {-1:'( 0 if MS1 else -G**3/(64.*cmath.pi**2) ) + G**3/(48.*cmath.pi**2)',0:'( -G**3/(96.*cmath.pi**2) - (G**3*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else -G**3/(96.*cmath.pi**2) ) + G**3/(96.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_203_138 = Coupling(name = 'UVGC_203_138',
                        value = {-1:'( 0 if MB else G**3/(16.*cmath.pi**2) ) - G**3/(24.*cmath.pi**2)',0:'( (G**3*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':3})

UVGC_203_139 = Coupling(name = 'UVGC_203_139',
                        value = {-1:'G**3/(48.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_203_140 = Coupling(name = 'UVGC_203_140',
                        value = {-1:'(-51*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_203_141 = Coupling(name = 'UVGC_203_141',
                        value = {-1:'( 0 if MS1 else G**3/(64.*cmath.pi**2) )',0:'( G**3/(96.*cmath.pi**2) + (G**3*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else G**3/(96.*cmath.pi**2) ) - G**3/(96.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_203_142 = Coupling(name = 'UVGC_203_142',
                        value = {-1:'( 0 if MT else G**3/(16.*cmath.pi**2) ) - G**3/(24.*cmath.pi**2)',0:'( (G**3*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':3})

UVGC_204_143 = Coupling(name = 'UVGC_204_143',
                        value = {-1:'(-33*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_204_144 = Coupling(name = 'UVGC_204_144',
                        value = {-1:'(-3*G**3)/(128.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_204_145 = Coupling(name = 'UVGC_204_145',
                        value = {-1:'( 0 if MS1 else G**3/(64.*cmath.pi**2) ) - G**3/(96.*cmath.pi**2)',0:'( G**3/(96.*cmath.pi**2) + (G**3*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else G**3/(96.*cmath.pi**2) ) - G**3/(96.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_205_146 = Coupling(name = 'UVGC_205_146',
                        value = {-1:'(-21*G**3)/(64.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_205_147 = Coupling(name = 'UVGC_205_147',
                        value = {-1:'-G**3/(64.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_206_148 = Coupling(name = 'UVGC_206_148',
                        value = {-1:'( 0 if MB else -(complex(0,1)*G**4)/(12.*cmath.pi**2) ) + (complex(0,1)*G**4)/(12.*cmath.pi**2)',0:'( -(complex(0,1)*G**4*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':4})

UVGC_206_149 = Coupling(name = 'UVGC_206_149',
                        value = {-1:'(147*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_206_150 = Coupling(name = 'UVGC_206_150',
                        value = {-1:'(21*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_206_151 = Coupling(name = 'UVGC_206_151',
                        value = {-1:'( 0 if MS1 else -(complex(0,1)*G**4)/(48.*cmath.pi**2) ) - (complex(0,1)*G**4)/(96.*cmath.pi**2)',0:'( -(complex(0,1)*G**4)/(96.*cmath.pi**2) - (complex(0,1)*G**4*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else -(complex(0,1)*G**4)/(96.*cmath.pi**2) ) + (complex(0,1)*G**4)/(96.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_206_152 = Coupling(name = 'UVGC_206_152',
                        value = {-1:'( 0 if MT else -(complex(0,1)*G**4)/(12.*cmath.pi**2) ) + (complex(0,1)*G**4)/(12.*cmath.pi**2)',0:'( -(complex(0,1)*G**4*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':4})

UVGC_207_153 = Coupling(name = 'UVGC_207_153',
                        value = {-1:'(147*complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_207_154 = Coupling(name = 'UVGC_207_154',
                        value = {-1:'(3*complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_207_155 = Coupling(name = 'UVGC_207_155',
                        value = {-1:'( 0 if MS1 else -(complex(0,1)*G**4)/(48.*cmath.pi**2) ) + (5*complex(0,1)*G**4)/(96.*cmath.pi**2)',0:'( -(complex(0,1)*G**4)/(96.*cmath.pi**2) - (complex(0,1)*G**4*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else -(complex(0,1)*G**4)/(96.*cmath.pi**2) ) + (complex(0,1)*G**4)/(96.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_208_156 = Coupling(name = 'UVGC_208_156',
                        value = {-1:'( 0 if MB else -(complex(0,1)*G**4)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**4*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':4})

UVGC_208_157 = Coupling(name = 'UVGC_208_157',
                        value = {-1:'-(complex(0,1)*G**4)/(12.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_208_158 = Coupling(name = 'UVGC_208_158',
                        value = {-1:'(523*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_208_159 = Coupling(name = 'UVGC_208_159',
                        value = {-1:'(13*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_208_160 = Coupling(name = 'UVGC_208_160',
                        value = {-1:'( 0 if MS1 else -(complex(0,1)*G**4)/(48.*cmath.pi**2) ) + (complex(0,1)*G**4)/(32.*cmath.pi**2)',0:'( -(complex(0,1)*G**4)/(96.*cmath.pi**2) - (complex(0,1)*G**4*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else -(complex(0,1)*G**4)/(96.*cmath.pi**2) ) + (complex(0,1)*G**4)/(96.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_208_161 = Coupling(name = 'UVGC_208_161',
                        value = {-1:'( 0 if MT else -(complex(0,1)*G**4)/(12.*cmath.pi**2) )',0:'( -(complex(0,1)*G**4*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':4})

UVGC_209_162 = Coupling(name = 'UVGC_209_162',
                        value = {-1:'( 0 if MB else (complex(0,1)*G**4)/(12.*cmath.pi**2) ) - (complex(0,1)*G**4)/(24.*cmath.pi**2)',0:'( (complex(0,1)*G**4*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':4})

UVGC_209_163 = Coupling(name = 'UVGC_209_163',
                        value = {-1:'(-341*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_209_164 = Coupling(name = 'UVGC_209_164',
                        value = {-1:'(-11*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_209_165 = Coupling(name = 'UVGC_209_165',
                        value = {-1:'( 0 if MS1 else (complex(0,1)*G**4)/(48.*cmath.pi**2) ) - (complex(0,1)*G**4)/(96.*cmath.pi**2)',0:'( (complex(0,1)*G**4)/(96.*cmath.pi**2) + (complex(0,1)*G**4*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else (complex(0,1)*G**4)/(96.*cmath.pi**2) ) - (complex(0,1)*G**4)/(96.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_209_166 = Coupling(name = 'UVGC_209_166',
                        value = {-1:'( 0 if MT else (complex(0,1)*G**4)/(12.*cmath.pi**2) ) - (complex(0,1)*G**4)/(24.*cmath.pi**2)',0:'( (complex(0,1)*G**4*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':4})

UVGC_210_167 = Coupling(name = 'UVGC_210_167',
                        value = {-1:'(-83*complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_210_168 = Coupling(name = 'UVGC_210_168',
                        value = {-1:'(-5*complex(0,1)*G**4)/(128.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_211_169 = Coupling(name = 'UVGC_211_169',
                        value = {-1:'( 0 if MB else (complex(0,1)*G**4)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**4*reglog(MB/MU_R))/(12.*cmath.pi**2) if MB else 0 )'},
                        order = {'QCD':4})

UVGC_211_170 = Coupling(name = 'UVGC_211_170',
                        value = {-1:'(complex(0,1)*G**4)/(12.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_211_171 = Coupling(name = 'UVGC_211_171',
                        value = {-1:'(-85*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_211_172 = Coupling(name = 'UVGC_211_172',
                        value = {-1:'(-19*complex(0,1)*G**4)/(512.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_211_173 = Coupling(name = 'UVGC_211_173',
                        value = {-1:'( 0 if MS1 else (complex(0,1)*G**4)/(48.*cmath.pi**2) ) + (complex(0,1)*G**4)/(32.*cmath.pi**2)',0:'( (complex(0,1)*G**4)/(96.*cmath.pi**2) + (complex(0,1)*G**4*reglog(MS1/MU_R))/(48.*cmath.pi**2) if MS1 else (complex(0,1)*G**4)/(96.*cmath.pi**2) ) - (complex(0,1)*G**4)/(96.*cmath.pi**2)'},
                        order = {'QCD':4})

UVGC_211_174 = Coupling(name = 'UVGC_211_174',
                        value = {-1:'( 0 if MT else (complex(0,1)*G**4)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**4*reglog(MT/MU_R))/(12.*cmath.pi**2) if MT else 0 )'},
                        order = {'QCD':4})

UVGC_212_175 = Coupling(name = 'UVGC_212_175',
                        value = {-1:'( (complex(0,1)*G**2)/(6.*cmath.pi**2) if MT else -(complex(0,1)*G**2)/(12.*cmath.pi**2) ) + (complex(0,1)*G**2)/(12.*cmath.pi**2)',0:'( (5*complex(0,1)*G**2)/(12.*cmath.pi**2) - (complex(0,1)*G**2*reglog(MT/MU_R))/(2.*cmath.pi**2) if MT else (complex(0,1)*G**2)/(12.*cmath.pi**2) ) - (complex(0,1)*G**2)/(12.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_213_176 = Coupling(name = 'UVGC_213_176',
                        value = {-1:'( -(ee*complex(0,1)*G**2)/(9.*cmath.pi**2) if MT else (ee*complex(0,1)*G**2)/(18.*cmath.pi**2) )',0:'( (-5*ee*complex(0,1)*G**2)/(18.*cmath.pi**2) + (ee*complex(0,1)*G**2*reglog(MT/MU_R))/(3.*cmath.pi**2) if MT else -(ee*complex(0,1)*G**2)/(18.*cmath.pi**2) ) + (ee*complex(0,1)*G**2)/(18.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_214_177 = Coupling(name = 'UVGC_214_177',
                        value = {-1:'( -(complex(0,1)*G**3)/(6.*cmath.pi**2) if MT else (complex(0,1)*G**3)/(12.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**3)/(12.*cmath.pi**2) + (complex(0,1)*G**3*reglog(MT/MU_R))/(2.*cmath.pi**2) if MT else -(complex(0,1)*G**3)/(12.*cmath.pi**2) ) + (complex(0,1)*G**3)/(12.*cmath.pi**2)'},
                        order = {'QCD':3})

UVGC_215_178 = Coupling(name = 'UVGC_215_178',
                        value = {-1:'( (complex(0,1)*G**2*MT)/(6.*cmath.pi**2) if MT else -(complex(0,1)*G**2*MT)/(12.*cmath.pi**2) ) + (complex(0,1)*G**2*MT)/(3.*cmath.pi**2)',0:'( (3*complex(0,1)*G**2*MT)/(4.*cmath.pi**2) - (complex(0,1)*G**2*MT*reglog(MT/MU_R))/cmath.pi**2 if MT else (complex(0,1)*G**2*MT)/(12.*cmath.pi**2) ) - (complex(0,1)*G**2*MT)/(12.*cmath.pi**2)'},
                        order = {'QCD':2})

UVGC_216_179 = Coupling(name = 'UVGC_216_179',
                        value = {-1:'( -(ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw*cmath.sqrt(2)) if MB else (ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) )',0:'( (-5*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) + (ee*complex(0,1)*G**2*reglog(MB/MU_R))/(4.*cmath.pi**2*sw*cmath.sqrt(2)) if MB else -(ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) ) + (ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

UVGC_216_180 = Coupling(name = 'UVGC_216_180',
                        value = {-1:'( -(ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw*cmath.sqrt(2)) if MT else (ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) )',0:'( (-5*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) + (ee*complex(0,1)*G**2*reglog(MT/MU_R))/(4.*cmath.pi**2*sw*cmath.sqrt(2)) if MT else -(ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2)) ) + (ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

UVGC_217_181 = Coupling(name = 'UVGC_217_181',
                        value = {-1:'( -(cw*ee*complex(0,1)*G**2)/(12.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(36.*cw*cmath.pi**2) if MT else (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) ) - (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2)',0:'( (-5*cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (5*ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) + (cw*ee*complex(0,1)*G**2*reglog(MT/MU_R))/(4.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw*reglog(MT/MU_R))/(12.*cw*cmath.pi**2) if MT else -(cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) + (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2) ) + (cw*ee*complex(0,1)*G**2)/(24.*cmath.pi**2*sw) - (ee*complex(0,1)*G**2*sw)/(72.*cw*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_218_182 = Coupling(name = 'UVGC_218_182',
                        value = {-1:'( (ee*complex(0,1)*G**2*sw)/(9.*cw*cmath.pi**2) if MT else -(ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2) ) + (ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2)',0:'( (5*ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2) - (ee*complex(0,1)*G**2*sw*reglog(MT/MU_R))/(3.*cw*cmath.pi**2) if MT else (ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2) ) - (ee*complex(0,1)*G**2*sw)/(18.*cw*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_219_183 = Coupling(name = 'UVGC_219_183',
                        value = {-1:'( (G**2*yb)/(12.*cmath.pi**2) if MB else -(G**2*yb)/(24.*cmath.pi**2) )',0:'( (13*G**2*yb)/(24.*cmath.pi**2) - (3*G**2*yb*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else (G**2*yb)/(24.*cmath.pi**2) ) - (G**2*yb)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_219_184 = Coupling(name = 'UVGC_219_184',
                        value = {-1:'( (G**2*yb)/(12.*cmath.pi**2) if MT else -(G**2*yb)/(24.*cmath.pi**2) )',0:'( (5*G**2*yb)/(24.*cmath.pi**2) - (G**2*yb*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else (G**2*yb)/(24.*cmath.pi**2) ) - (G**2*yb)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_219_185 = Coupling(name = 'UVGC_219_185',
                        value = {-1:'(G**2*yb)/(3.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_220_186 = Coupling(name = 'UVGC_220_186',
                        value = {-1:'( -(G**2*yb)/(12.*cmath.pi**2) if MB else (G**2*yb)/(24.*cmath.pi**2) )',0:'( (-13*G**2*yb)/(24.*cmath.pi**2) + (3*G**2*yb*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else -(G**2*yb)/(24.*cmath.pi**2) ) + (G**2*yb)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_220_187 = Coupling(name = 'UVGC_220_187',
                        value = {-1:'( -(G**2*yb)/(12.*cmath.pi**2) if MT else (G**2*yb)/(24.*cmath.pi**2) )',0:'( (-5*G**2*yb)/(24.*cmath.pi**2) + (G**2*yb*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(G**2*yb)/(24.*cmath.pi**2) ) + (G**2*yb)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_220_188 = Coupling(name = 'UVGC_220_188',
                        value = {-1:'-(G**2*yb)/(3.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_221_189 = Coupling(name = 'UVGC_221_189',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x1)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_221_190 = Coupling(name = 'UVGC_221_190',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yLL3x1*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x1)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_221_191 = Coupling(name = 'UVGC_221_191',
                        value = {-1:'-(complex(0,1)*G**2*yLL3x1)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_222_192 = Coupling(name = 'UVGC_222_192',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x2)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_222_193 = Coupling(name = 'UVGC_222_193',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yLL3x2*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x2)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_222_194 = Coupling(name = 'UVGC_222_194',
                        value = {-1:'-(complex(0,1)*G**2*yLL3x2)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_223_195 = Coupling(name = 'UVGC_223_195',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yLL3x3)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_223_196 = Coupling(name = 'UVGC_223_196',
                        value = {-1:'( -(complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yLL3x3*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yLL3x3)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_223_197 = Coupling(name = 'UVGC_223_197',
                        value = {-1:'-(complex(0,1)*G**2*yLL3x3)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_224_198 = Coupling(name = 'UVGC_224_198',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x1)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR3x1)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR3x1)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR3x1)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR3x1)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_224_199 = Coupling(name = 'UVGC_224_199',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x1)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yRR3x1)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yRR3x1)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yRR3x1*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yRR3x1)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yRR3x1)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_224_200 = Coupling(name = 'UVGC_224_200',
                        value = {-1:'-(complex(0,1)*G**2*yRR3x1)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_225_201 = Coupling(name = 'UVGC_225_201',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x2)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR3x2)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR3x2)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR3x2)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR3x2)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_225_202 = Coupling(name = 'UVGC_225_202',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x2)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yRR3x2)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yRR3x2)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yRR3x2*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yRR3x2)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yRR3x2)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_225_203 = Coupling(name = 'UVGC_225_203',
                        value = {-1:'-(complex(0,1)*G**2*yRR3x2)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_226_204 = Coupling(name = 'UVGC_226_204',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x3)/(12.*cmath.pi**2) if MS1 else -(complex(0,1)*G**2*yRR3x3)/(12.*cmath.pi**2) )',0:'( (complex(0,1)*G**2*yRR3x3)/(144.*cmath.pi**2) if MS1 else (complex(0,1)*G**2*yRR3x3)/(144.*cmath.pi**2) ) - (complex(0,1)*G**2*yRR3x3)/(144.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_226_205 = Coupling(name = 'UVGC_226_205',
                        value = {-1:'( -(complex(0,1)*G**2*yRR3x3)/(12.*cmath.pi**2) if MT else (complex(0,1)*G**2*yRR3x3)/(24.*cmath.pi**2) )',0:'( (-5*complex(0,1)*G**2*yRR3x3)/(24.*cmath.pi**2) + (complex(0,1)*G**2*yRR3x3*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(complex(0,1)*G**2*yRR3x3)/(24.*cmath.pi**2) ) + (complex(0,1)*G**2*yRR3x3)/(24.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_226_206 = Coupling(name = 'UVGC_226_206',
                        value = {-1:'-(complex(0,1)*G**2*yRR3x3)/(12.*cmath.pi**2)'},
                        order = {'NP':1,'QCD':2})

UVGC_227_207 = Coupling(name = 'UVGC_227_207',
                        value = {-1:'( (G**2*yt)/(12.*cmath.pi**2) if MB else -(G**2*yt)/(24.*cmath.pi**2) )',0:'( (5*G**2*yt)/(24.*cmath.pi**2) - (G**2*yt*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else (G**2*yt)/(24.*cmath.pi**2) ) - (G**2*yt)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_227_208 = Coupling(name = 'UVGC_227_208',
                        value = {-1:'( (G**2*yt)/(12.*cmath.pi**2) if MT else -(G**2*yt)/(24.*cmath.pi**2) )',0:'( (13*G**2*yt)/(24.*cmath.pi**2) - (3*G**2*yt*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else (G**2*yt)/(24.*cmath.pi**2) ) - (G**2*yt)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_227_209 = Coupling(name = 'UVGC_227_209',
                        value = {-1:'(G**2*yt)/(3.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_228_210 = Coupling(name = 'UVGC_228_210',
                        value = {-1:'( -(G**2*yt)/(12.*cmath.pi**2) if MB else (G**2*yt)/(24.*cmath.pi**2) )',0:'( (-5*G**2*yt)/(24.*cmath.pi**2) + (G**2*yt*reglog(MB/MU_R))/(4.*cmath.pi**2) if MB else -(G**2*yt)/(24.*cmath.pi**2) ) + (G**2*yt)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_228_211 = Coupling(name = 'UVGC_228_211',
                        value = {-1:'( -(G**2*yt)/(12.*cmath.pi**2) if MT else (G**2*yt)/(24.*cmath.pi**2) )',0:'( (-13*G**2*yt)/(24.*cmath.pi**2) + (3*G**2*yt*reglog(MT/MU_R))/(4.*cmath.pi**2) if MT else -(G**2*yt)/(24.*cmath.pi**2) ) + (G**2*yt)/(24.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_228_212 = Coupling(name = 'UVGC_228_212',
                        value = {-1:'-(G**2*yt)/(3.*cmath.pi**2)'},
                        order = {'QCD':2,'QED':1})

UVGC_229_213 = Coupling(name = 'UVGC_229_213',
                        value = {-1:'( (G**2*yt)/(6.*cmath.pi**2*cmath.sqrt(2)) if MT else -(G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2)) ) + (G**2*yt)/(3.*cmath.pi**2*cmath.sqrt(2))',0:'( (3*G**2*yt)/(4.*cmath.pi**2*cmath.sqrt(2)) - (G**2*yt*reglog(MT/MU_R))/(cmath.pi**2*cmath.sqrt(2)) if MT else (G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2)) ) - (G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

UVGC_230_214 = Coupling(name = 'UVGC_230_214',
                        value = {-1:'( (complex(0,1)*G**2*yt)/(6.*cmath.pi**2*cmath.sqrt(2)) if MT else -(complex(0,1)*G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2)) ) + (complex(0,1)*G**2*yt)/(3.*cmath.pi**2*cmath.sqrt(2))',0:'( (3*complex(0,1)*G**2*yt)/(4.*cmath.pi**2*cmath.sqrt(2)) - (complex(0,1)*G**2*yt*reglog(MT/MU_R))/(cmath.pi**2*cmath.sqrt(2)) if MT else (complex(0,1)*G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2)) ) - (complex(0,1)*G**2*yt)/(12.*cmath.pi**2*cmath.sqrt(2))'},
                        order = {'QCD':2,'QED':1})

